angular.module('kd.controllers',[])

// *******************
// 绑定账号
// *******************
.controller('BindCtrl', ["$scope", "$state", "$ionicLoading", "Auth", function($scope, $state, $ionicLoading, Auth) {
  $scope.user = {
    'type':false
  };

  $scope.doBind = function() {
    Auth.bind(Auth.getUserId(),$scope.user.type,$scope.user.email,$scope.user.password).then(function(data) {
      $ionicLoading.show({
        template: '绑定成功',
        noBackdrop: true, 
        duration: 2000
      });
      $state.go('app.home');
    }, function(data) {
      $ionicLoading.show({
        template: '绑定失败:' + data.msg,
        noBackdrop: true, 
        duration: 2000
      });
    });
  };
}])


// App控制器
.controller('AppCtrl',["$scope", "User", function($scope,User) {
    // 获取新消息个数
    // User.getNewMessageCount().then(function(data){
    //     $scope.new_message_count = data;
    // });

}])

// 目标视图控制器
// .controller('GoalViewCtrl', function($scope,$stateParams,User) {
//     var goalId = $stateParams.goalId;

//     User.getGoal(goalId).then(function(data) {
//         $scope.goal = data;
//     });

//     $scope.showTopics = function(){
//         alert("暂未开放");
//     };
// })

// 目标设置控制器
.controller('GoalSettingCtrl', ["$scope", "$state", "$stateParams", "$ionicLoading", "$timeout", "User", "Goal", function($scope,$state,$stateParams,$ionicLoading,$timeout,User,Goal) {
    $scope.goalId = $stateParams.goalId;

    // $scope.goal = {};

    // $scope.goal.goal_id = $scope.goalId;

    // User.getGoal($scope.goalId).then(function(data){
    //     if(data.remind_time) {
    //         $scope.goal.remind_time = data.remind_time;
    //     }
    // });

    $scope.delGoal = function() {
	     Goal.deleteGoal($scope.goalId).then(function(data) {
	        $ionicLoading.show({
	          template: '删除成功',
	          noBackdrop: true,
	          duration: 2000
	        });
	        $timeout(function() {
	           $state.go('app.home');
	        }, 1000);
	      }, function(data) {
	        $ionicLoading.show({
	          template: data.msg,
	          noBackdrop: true,
	          duration: 2000
	        });
	      });
  	};

    // $scope.mytime = new Date();


    // $scope.setTime = function() {
    //     console.log($scope.remind_time);
    //     Goal.editGoal($scope.goal).then(function(data) {
    //         $ionicLoading.show({
    //             template: '更新成功',
    //             noBackdrop: true,
    //             duration: 2000
    //         });
    //         $state.go('goalview', {
    //             goalId: data
    //         });
    //     }, function(data) {
    //         $ionicLoading.show({
    //             template: data.msg,
    //             noBackdrop: true,
    //             duration: 2000
    //         });
    //     });
    // };
}])

// 目标数据控制器
.controller('GoalDataCtrl', ["$scope", "$http", "$stateParams", "Auth", "ENV", function($scope, $http, $stateParams, Auth,ENV) {

    var userId = Auth.getUserId();

    var goalId = $stateParams.goalId;

    $scope.goalId = goalId;

    $scope.chart = null;

    var initChart = function(index) {
        var typeArr = ['week', 'month', 'year'];

        $http.get(ENV.apiUrl + 'goal/' + typeArr[index] + '?user_id=' + userId + '&goal_id=' + goalId).success(function(response) {
            var y = response.data.y;
            y.splice(0, 0, "data1");
            var x = response.data.x;
            // y.splice(0, 0, "x");
            // console.log(x);
            console.log(y);

            $scope.chart = c3.generate({
                bindto: '#c3chart',
                data: {
                    columns: [
                        y
                    ],
                    type: 'bar',
                    colors: {
                        'data1': '#0c9'
                    },
                    names: {
                        'data1': '打卡天数'
                    }
                },
                axis: {
                    x: {
                        type: 'category',
                        categories: x
                    }
                }
            });
        });
    };


    $scope.showChart = function(index) {
        initChart(index);
    };

}])

// 目标日志控制器
.controller('GoalLogCtrl', ["$stateParams", "Goal", function($stateParams,Goal) {

    var goalId = $stateParams.goalId;

    Goal.getLogs(goalId).then(function(data){
         var events = [];

        angular.forEach(data, function(data, index, array) {
            var key = data.checkin.checkin_day;
            var url = "#/checkin/detail/" + data.checkin.checkin_id;
            var val = {};
            val.url = url;
            events[key] = val;
        });

        angular.element(".responsive-calendar").responsiveCalendar({
            time: moment().format("YYYY-MM-DD"),
            events: events
        });
    });
}])

// 目标添加控制器
// .controller('GoalAddCtrl', function($scope, $state, $ionicLoading, $stateParams, $ionicModal, User, Auth, Goal) {

//     var userId = Auth.getUserId();

//     $scope.goal = {};

//     var method = 'add';

//     var goalId = $stateParams.goalId;

//     if (goalId) {
//         User.getGoal(goalId).then(function(data) {
//             $scope.goal.name = data.goal_name;
//             $scope.goal.days = data.expect_days;
//             $scope.items = data.items;
//             method = 'edit';
//         });
//     }

//     $scope.items = [];

//     $scope.goal.user_id = userId;

//     $scope.doSaveGoal = function() {

//         $scope.goal.items = angular.toJson($scope.items);

//         if (method == 'add') {
//             Goal.createGoal($scope.goal).then(function(data) {
//                 $ionicLoading.show({
//                     template: '创建成功',
//                     noBackdrop: true,
//                     duration: 2000
//                 });
//                 $state.go('goalview', {
//                     goalId: data
//                 });
//             }, function(data) {
//                 $ionicLoading.show({
//                     template: data.msg,
//                     noBackdrop: true,
//                     duration: 2000
//                 });
//             });
//         } else {
//             $scope.goal.goal_id = goalId;
//             Goal.editGoal($scope.goal).then(function(data) {
//                 $ionicLoading.show({
//                     template: '更新成功',
//                     noBackdrop: true,
//                     duration: 2000
//                 });
//                 $state.go('goalview', {
//                     goalId: data
//                 });
//             }, function(data) {
//                 $ionicLoading.show({
//                     template: data.msg,
//                     noBackdrop: true,
//                     duration: 2000
//                 });
//             });
//         }

//     };

//     $ionicModal.fromTemplateUrl('templates/item_add_modal.html', {
//         scope: $scope,
//         animation: 'slide-in-up'
//     }).then(function(modal) {
//         $scope.modal = modal;
//     });

//     $scope.itemAdd = function() {
//         $scope.modal.show();
//     };

//     $scope.closeModal = function() {
//         $scope.modal.hide();
//         $scope.item = {};
//     };

//     $scope.doDelItem = function(index) {
//         $scope.items.splice(index, 1);
//     };

//     $scope.item = {};

//     $scope.doEditItem = function(index) {
//         $scope.item = $scope.items[index];
//         console.log($scope.item);
//         $scope.modal.show();
//     };

//     $scope.doSaveItem = function() {
//         $scope.items.push($scope.item);
//         $scope.item = {};
//         $scope.modal.hide();
//     };

// })

// // 发现控制器
// .controller('ExploreCtrl', function($scope,$ionicLoading,Explore,Checkin) {

//     $scope.events = [];

//     $scope.currentIndex = 0;

//     var getEvents = function(offset) {

//         if ($scope.currentIndex === 0) {
//             Explore.getNew(offset).then(function(data){
//                 if (offset === 0) {
//                     $scope.events = data;
//                 } else {
//                     $scope.events = $scope.events.concat(data);
//                 }
//             });
//         } else {
//             Explore.getHot(offset).then(function(data){
//                 if (offset === 0) {
//                     $scope.events = data;
//                 } else {
//                     $scope.events = $scope.events.concat(data);
//                 }
//             });
//         }
//     };

//     $scope.getEvents = function(index) {
//         $scope.currentIndex = index;
//         getEvents(0);
//     };

//     getEvents(0);

//     $scope.doRefresh = function() {
//         getEvents(0);
//         $scope.$broadcast('scroll.refreshComplete');
//         $scope.$apply();
//     };

//     $scope.loadMore = function() {
//         var num = $scope.events.length;
//         if (num > 0 && num % 10 === 0) {
//             getEvents(num);
//         }
//         $scope.$broadcast('scroll.infiniteScrollComplete');
//     };

//     $scope.doLike = function(event) {

//         var index = $scope.events.indexOf(event);

//         Checkin.doLike(event.checkin_id).then(function(data) {        
//             if (data == 'post') {
//                 $ionicLoading.show({template: "点赞成功",noBackdrop: true, duration: 2000});
//                 $scope.events[index].is_like = true;
//                 $scope.events[index].like_num++;
//             } else if (data == 'cancle') {
//                 $ionicLoading.show({template: "取消点赞",noBackdrop: true, duration: 2000});
//                 $scope.events[index].is_like = false;
//                 $scope.events[index].like_num--;
//             }
//         }, function(data) {
//             $ionicLoading.show({
//                 template: "操作失败："+data.msg,
//                 noBackdrop: true,
//                 duration: 2000
//             });
//         });
//     };

//     $scope.checkinMore = function(checkinId) {
//         Checkin.showMore(checkinId);
//     };
// })


/***************
   首页控制器
***************/
// .controller('HomeCtrl', function($scope,User) {

//     $scope.goals = [];

//     var getGoals = function(){
//         User.getGoals().then(function(data) {
//             $scope.goals = data;
//         });
//     };    
   
//     getGoals();

//     $scope.doRefresh = function() {
//        getGoals();
//     };

//     $scope.isTodayCheckin = function(time) {
//         var d = new Date();
//         var today = d.toJSON().slice(0, 10);
//         var date = new Date(time * 1000).toJSON().slice(0, 10);
//         return today == date;
//     };
// })



// *******************
// 目标动态控制器
// *******************
.controller('GoalEventCtrl', ["$scope", "$state", "$stateParams", "$rootScope", "$ionicLoading", "Goal", "Checkin", function($scope, $state, $stateParams, $rootScope, $ionicLoading,Goal, Checkin) {

    var goalId = $stateParams.goalId;

    $scope.goalId = goalId;

    $scope.events = [];

    var getEvents = function(offset) {
        Goal.getEvents(goalId,offset).then(function(data){
            if (offset === 0) {
                $scope.events = data;
            } else {
                $scope.events = $scope.events.concat(data);
            }
        });
    };

    getEvents(0);

    $rootScope.$on('group:eventListChanged', function() {
        getEvents(0);
    });

    $scope.doRefresh = function() {
        getEvents(0);
        $scope.$broadcast('scroll.refreshComplete');
        $scope.$apply();
    };

    $scope.loadMore = function() {
        var num = $scope.events.length;
        if (num > 0 && num % 10 === 0) {
            console.log('load more events');
            getEvents(num);
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
    };

    $scope.doLike = function(event) {

        var index = $scope.events.indexOf(event);

        Checkin.doLike(event.checkin.checkin_id).then(function(data) {        
            if (data == 'post') {
                $ionicLoading.show({template: "点赞成功",noBackdrop: true, duration: 2000});
                $scope.events[index].is_like = true;
                $scope.events[index].checkin.like_num++;
            } else if (data == 'cancle') {
                $ionicLoading.show({template: "取消点赞",noBackdrop: true, duration: 2000});
                $scope.events[index].is_like = false;
                $scope.events[index].checkin.like_num--;
            }
        }, function(data) {
            $ionicLoading.show({
                template: "操作失败："+data.msg,
                noBackdrop: true,
                duration: 2000
            });
        });
    };

    $scope.checkinMore = function(checkinId) {
        Checkin.showMore(checkinId);
    };

}])

// 目标排行榜
.controller('GoalTopCtrl', ["$scope", "$stateParams", "Goal", function($scope, $stateParams,Goal) {

    var goalId = $stateParams.goalId;

    $scope.goalId = goalId;

    $scope.users = [];

    var getUsers = function(offset) {
        Goal.getTop(goalId,offset).then(function(data){
             if (offset === 0) {
                $scope.users = data;
            } else {
                $scope.users = $scope.users.concat(data);
            }
        });
    };

    getUsers(0);

    $scope.loadMore = function() {
        var num = $scope.users.length;
        if (num > 0 && num % 10 === 0) {
            getUsers(num);
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
    };

    $scope.getClass = function($index) {
        if ($index == 1) {
            return "badge-assertive";
        }
        if ($index == 2) {
            return "badge-energized";
        }
        if ($index == 3) {
            return "badge-balanced";
        }
        return "badge-stable";
    };
}])

// 打卡明细
.controller('CheckinDetailCtrl', ["$scope", "$stateParams", "$rootScope", "$ionicLoading", "Comm", "Checkin", function($scope,$stateParams,$rootScope,$ionicLoading,Comm,Checkin) {

    var checkinId = $stateParams.checkinId;

    $scope.checkinId = checkinId;

    $scope.checkin = {};

    $scope.comments = [];

    Checkin.getInfo(checkinId).then(function(data){
        $scope.checkin = data;
    });

    var getComments = function() {
        Checkin.getComments(checkinId).then(function(data){
        $scope.comments = data;
        });
    };

    getComments();

    $rootScope.$on('checkin:commentListChanged', function() {
        getComments();
    });

    $scope.doLike = function() {
        Checkin.doLike(checkinId).then(function(data) {
            if (data == 'post') {
                $ionicLoading.show({template: "点赞成功",noBackdrop: true, duration: 2000});
                $scope.checkin.is_like = true;
                $scope.checkin.like_num++;
            } else if (data == 'cancle') {
                $ionicLoading.show({template: "取消点赞",noBackdrop: true, duration: 2000});
                $scope.checkin.is_like = false;
                $scope.checkin.like_num--;
            }
        }, function(data) {
            $ionicLoading.show({template: "操作失败："+data.msg,noBackdrop: true, duration: 2000});
        });
    };

    $scope.goBack = function() {
        Comm.goBack();
    };

    $scope.shareCheckin = function() {
        alert('该功能暂无开放，敬请期待！');
    };
}])

// *******************
// 排行榜控制器
// *******************
.controller('TopCtrl', ["$scope", "Top", function($scope,Top) {

    $scope.users = [];
    $scope.groups = [];

    $scope.currentIndex = 1;

    var getTopUser = function() {
        Top.getUsers().then(function(data){
            $scope.users = data.week_users;
        });
    };

    var getTopGroup = function() {
        Top.getGoals().then(function(data){
            $scope.groups = data.week_groups;
        });
    };

    getTopUser();

    $scope.getTop = function($type) {
        if ($type == 1) {
            $scope.currentIndex = 1;
            getTopUser();
        } else {
            $scope.currentIndex = 0;
            getTopGroup();
        }
    };

    $scope.getClass = function($index) {
        if ($index == 1) {
            return "badge-assertive";
        }
        if ($index == 2) {
            return "badge-energized";
        }
        if ($index == 3) {
            return "badge-balanced";
        }
        return "badge-stable";
    };

}])


// 打卡评论控制器
.controller('CheckinCommentCtrl', ["$state", "$scope", "$stateParams", "$ionicLoading", "Checkin", function($state, $scope, $stateParams,$ionicLoading, Checkin) {

    $scope.comment = {};

    var checkinId = $stateParams.checkinId;

    $scope.checkinId = checkinId;

    $scope.doComment = function() {
        Checkin.doComment(checkinId,$scope.comment.content).then(function(data) {
            $scope.$emit('checkin:commentListChanged');
            $ionicLoading.show({
                template: '评论成功',
                noBackdrop: true,
                duration: 2000
            });
            $state.go('checkindetail', {
                checkinId: checkinId
            });
        }, function(data) {
            $ionicLoading.show({
                template: '评论失败：' + data.msg,
                noBackdrop: true,
                duration: 2000
            });
        });
    };
}])

// *******************
// 用户控制器
// *******************
.controller('MyCtrl', ["$scope", "$state", "$localstorage", "Auth", "User", function($scope,$state,$localstorage,Auth,User) {
    var userId = Auth.getUserId();

    // 获取用户基本信息 @todo 可取消
    User.getInfo(userId).then(function(data) {
        $scope.user = data;
    });

    // 注销
    $scope.doLogout = function() {
        $localstorage.clear('wdk_user');
        $localstorage.clear('wdk_token');
        $localstorage.clear('wdk_email');
        $state.go('login');
    };

}])

// *******************
// 反馈控制器
// *******************
.controller('FeedbackCtrl', ["$scope", "$state", "$ionicLoading", "User", function($scope, $state,$ionicLoading,User) {
    $scope.feedback = {};

    $scope.doFeedback = function() {
        User.doFeedback($scope.feedback.content).then(function(data){
            $ionicLoading.show({
                template: "反馈成功",
                noBackdrop: true,
                duration: 2000
            });
            $state.go('setting');
        },function(data){
            $ionicLoading.show({
                template: "反馈失败："+data.msg,
                noBackdrop: true,
                duration: 2000
            });
        });
    };
}])

// *******************
// 设置控制器
// *******************
.controller('SettingCtrl', ["$scope", "ENV", function($scope,ENV) {
    $scope.version = ENV.version;
}])

// *******************
// 消息控制器
// *******************
// .controller('MessageCtrl', function($scope,User) {

//     $scope.messages = [];
//     $scope.currentIndex = 0;

//     var getMessages = function(type) {
//        User.getMessages(type).then(function(data){
//            $scope.messages = data;  
//        });
//     };

//     getMessages(0);

//     $scope.getMessages = function(index) {
//         $scope.currentIndex = index;
//         getMessages(index);
//     };

// })

// 用户主页控制器
// .controller('UserHomeCtrl', function($scope,$state,$stateParams,$ionicLoading,$ionicActionSheet,Auth,User,Checkin,Comm) {

//     var userId = $stateParams.userId;

//     $scope.isSelf = false;

//     if (userId == Auth.getUserId()) {
//         $scope.isSelf = true;
//     }

//     User.getInfo(userId).then(function(data){
//         $scope.user = data;
//     });

//     vm.events = [];

//     vm.getEvents = getEvents;

//     function getEvents(offset) {
//         User.getEvents(userId,offset).then(function(data){
//             if (offset === 0) {
//                 $scope.events = data;
//             } else {
//                 $scope.events = $scope.events.concat(data);
//             }
//         });
//     }

//     getEvents(0);

//     vm.doRefresh = function() {
//         getEvents(0);
//         vm.$broadcast('scroll.refreshComplete');
//         vm.$apply();
//     };

//     $scope.loadMore = function() {
//         var num = $scope.events.length;
//         if (num > 0 && num % 10 === 0) {
//             getEvents(num);
//         }
//         $scope.$broadcast('scroll.infiniteScrollComplete');
//     };

//     $scope.goBack = function() {
//         Comm.goBack();
//     };

//     $scope.doLike = function(event) {
//         var index = $scope.events.indexOf(event);
//         Checkin.doLike(event.checkin.checkin_id).then(function(data) {
//             if (data == 'post') {
//                 $ionicLoading.show({template: "点赞成功",noBackdrop: true, duration: 2000});
//                 $scope.events[index].is_like = true;
//                 $scope.events[index].checkin.like_num++;
//             } else if (data == 'cancle') {
//                 $ionicLoading.show({template: "取消点赞",noBackdrop: true, duration: 2000});
//                 $scope.events[index].is_like = false;
//                 $scope.events[index].checkin.like_num--;
//             }
//         }, function(data) {
//             $ionicLoading.show({
//                 template: "操作失败："+data.msg,
//                 noBackdrop: true,
//                 duration: 2000
//             });
//         });
//     };

//     $scope.checkinMore = function(checkinId) {
//         Checkin.showMore(checkinId);
//     };
// })

.controller('VersionCtrl', ["$scope", "$state", "$http", function($scope, $state, $http) {


}]);



(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('ExploreController', ExploreController);  

    function ExploreController($scope,$http,$stateParams,$localStorage,$ionicLoading,ENV,Checkin) {

        var vm = this; 
        vm.events = [];

        getEvents(0);

        vm.doRefresh = doRefresh;
        vm.loadMore = loadMore;
        vm.checkinMore = checkinMore;
        vm.doLike = doLike;

        function doLike(event) {

            var index = vm.events.indexOf(event);

            Checkin.doLike(event.checkin_id).then(function(data) {        
                if (data == 'post') {
                    $ionicLoading.show({template: "点赞成功",noBackdrop: true, duration: 2000});
                    vm.events[index].is_like = true;
                    vm.events[index].like_num++;
                } else if (data == 'cancle') {
                    $ionicLoading.show({template: "取消点赞",noBackdrop: true, duration: 2000});
                    vm.events[index].is_like = false;
                    vm.events[index].like_num--;
                }
            }, function(data) {
                $ionicLoading.show({
                    template: "操作失败："+data.msg,
                    noBackdrop: true,
                    duration: 2000
                });
            });
        }

        function checkinMore(checkinId) {
            Checkin.showMore(checkinId);
        }

        function doRefresh() {
            getEvents(0);
            $scope.$broadcast('scroll.refreshComplete');
            $scope.$apply();
        }

        function loadMore() {
            var num = vm.events.length;
            if (num > 0 && num % 10 === 0) {
                getEvents(num);
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');

        }

        function getEvents($offset) {

            $http.get(ENV.apiUrl+'event/all?offset='+$offset).success(function(data) {
                if($offset === 0) {
                    vm.events = data.events;
                } else {
                    vm.events = vm.events.concat(data.events);
                }
            }).error(function(error) {
            });
        }
    }
    ExploreController.$inject = ["$scope", "$http", "$stateParams", "$localStorage", "$ionicLoading", "ENV", "Checkin"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('GoalAddController', GoalAddController);  

    function GoalAddController($scope,$http,$state,$log, $ionicLoading,$ionicModal,ENV,OAuth,Goal,Item) {
        var vm = this;
        vm.goal = {};
        vm.items = [];

        vm.doSaveGoal = doSaveGoal;

        function doSaveGoal() {
            vm.goal.items = angular.toJson(vm.items);

            Goal.createGoal(vm.goal).then(function(data) {
                $ionicLoading.show({
                    template: '创建成功',
                    noBackdrop: true,
                    duration: 2000
                });
                $state.go('goalview', {
                    goalId: data.goal_id
                });
            }, function(data) {
                $ionicLoading.show({
                    template: data.message,
                    noBackdrop: true,
                    duration: 2000
                });
            });
        }

        vm.item = {};

        vm.itemAdd = itemAdd;

        $ionicModal.fromTemplateUrl('templates/item_add_modal.html', {
             scope: $scope,
             animation: 'slide-in-up'
         }).then(function(modal) {
             vm.modal = modal;
         });

        function itemAdd() {
           vm.modal.show();
        }

        vm.closeModal = closeModal;

        function closeModal() {
            vm.modal.hide();
            vm.item = {};
        }

        vm.doDelItem = doDelItem;

        function doDelItem(item) {
            var index = vm.items.indexOf(item);
            if(index >= 0) {
                vm.items.splice(index, 1);
            }
        }

        vm.doEditItem = doEditItem;

        function doEditItem(item) {
            vm.item = item;
            vm.item = {};
        }

        vm.doSaveItem = doSaveItem;

        function doSaveItem() {
            vm.items.push(vm.item);
            vm.item = {};
            vm.modal.hide();
        }


            // var method = 'add';

            // var goalId = $stateParams.goalId;

            // if (goalId) {
            //     User.getGoal(goalId).then(function(data) {
            //         $scope.goal.name = data.goal_name;
            //         $scope.goal.days = data.expect_days;
            //         $scope.items = data.items;
            //         method = 'edit';
            //     });
            // }

           

            // $scope.itemAdd = function() {
            //     $scope.modal.show();
            // };

            // $scope.closeModal = function() {
            //     $scope.modal.hide();
            //     $scope.item = {};
            // };

            // $scope.doDelItem = function(index) {
            //     $scope.items.splice(index, 1);
            // };

            // $scope.item = {};

            // $scope.doEditItem = function(index) {
            //     $scope.item = $scope.items[index];
            //     console.log($scope.item);
            //     $scope.modal.show();
            // };

            // $scope.doSaveItem = function() {
            //     $scope.items.push($scope.item);
            //     $scope.item = {};
            //     $scope.modal.hide();
            // };


    }
    GoalAddController.$inject = ["$scope", "$http", "$state", "$log", "$ionicLoading", "$ionicModal", "ENV", "OAuth", "Goal", "Item"];
    
})(); 
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('GoalSettingController', GoalSettingController);  

    function GoalSettingController($http,$stateParams,$localStorage,$ionicLoading,$timeout,$state,Goal,ENV) {
    	var vm = this;
      vm.goalId = $stateParams.goalId;
    	vm.delGoal = delGoal;

    	function delGoal(){
		     Goal.deleteGoal(vm.goalId).then(function(data) {
		        $ionicLoading.show({
		          template: '删除成功',
		          noBackdrop: true,
		          duration: 2000
		        });
		        $timeout(function() {
		           $state.go('app.home');
		        }, 1000);
		      }, function(error) {
		        $ionicLoading.show({
		          template: '删除失败'+error,
		          noBackdrop: true,
		          duration: 2000
		        });
		      });
  		}

  		 vm.timePickerObject = {
          inputEpochTime: ((new Date()).getHours() * 60 * 60),  //Optional
          step: 15,  //Optional
          format: 24,  //Optional
          titleLabel: '提醒设置',  //Optional
          setLabel: '设置',  //Optional
          closeLabel: '取消',  //Optional
          setButtonType: 'button-positive',  //Optional
          closeButtonType: 'button-stable',  //Optional
          callback: function (val) {    //Mandatory
            timePickerCallback(val);
          }
        };

        function timePickerCallback(val) {
          if (typeof (val) === 'undefined') {
            console.log('Time not selected');
          } else {
            var selectedTime = new Date(val * 1000);
            vm.timePickerObject.inputEpochTime = val;
            console.log('Selected epoch is : ', val, 'and the time is ', selectedTime.getUTCHours(), ':', selectedTime.getUTCMinutes(), 'in UTC');
          }
        }
    }
    GoalSettingController.$inject = ["$http", "$stateParams", "$localStorage", "$ionicLoading", "$timeout", "$state", "Goal", "ENV"];

})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('GoalViewController', GoalViewController);  

    function GoalViewController($state,$http,$stateParams,$ionicLoading,$localStorage,$filter,$log,ENV) {

        var vm = this;
        
        vm.users = [];

        var goalId = $stateParams.goalId;

        var userId = $localStorage.user.user_id;

        vm.checkin = {};

        getGoal();

        vm.selectedDay = $filter('date')(new Date(),'yyyy-MM-dd');
        vm.today = (new Date()).toDateString();

        vm.setDate = setDate;

        function setDate(day) {
            vm.today = day;
            vm.selectedDay = $filter('date')(new Date(day),'yyyy-MM-dd');

            getCheckin(day);
        }

        function getGoal() {
            $log.debug("开始获取目标信息...");
            // This request will hit the index method in the AuthenticateController
            // on the Laravel side and will return the list of users
            $http.get(ENV.apiUrl+'user/goal?user_id='+userId+'&goal_id='+goalId).success(function(data) {
                $log.debug("获取成功");
                $log.debug(data);

                if(data.code == 0) {
                    vm.goal = data.data;
                } else {
                    $ionicLoading.show({
                        template: data.message,
                        noBackdrop: true,
                        duration: 2000
                    });
                    $state.go('app.home');
                }
               
            }).error(function(error) {
                $log.debug("获取失败");
                $log.debug(error);
            });
        }

        function getCheckin($day) {
            $day = $filter('date')(new Date($day),'yyyy-MM-dd');
            $log.debug("开始获取目标信息...");
            // This request will hit the index method in the AuthenticateController
            // on the Laravel side and will return the list of users
            $http.get(ENV.apiUrl+'goal/checkin?&goal_id='+goalId+'&day='+$day).success(function(data) {
                $log.debug("获取成功");
                $log.debug(data);

                if(data.code == 0) {
                    vm.checkin = data.data;
                } else {
                    $ionicLoading.show({
                        template: data.message,
                        noBackdrop: true,
                        duration: 2000
                    });
                }
               
            }).error(function(error) {
                $log.debug("获取失败");
                $log.debug(error);
            });

        }
    }
    GoalViewController.$inject = ["$state", "$http", "$stateParams", "$ionicLoading", "$localStorage", "$filter", "$log", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('HomeController', HomeController);  

    function HomeController($http,$log,ENV) {

        var vm = this;
        
        vm.goals = [];

        vm.getGoals = getGoals;

        function getGoals() {
            $log.info("开始获取目标列表...");

            $http.get(ENV.apiUrl+'user/goals').success(function(data) {
                $log.info("获取成功：");
                $log.debug(data);
                vm.goals = data.goals;
                vm.finished_count = data.finished_count;
            }).error(function(error) {
                $log.info("获取失败：");
                $log.info(error);
            });
        }
    }
    HomeController.$inject = ["$http", "$log", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('MessageController', MessageController);  

    function MessageController($http,$stateParams,$localStorage,ENV) {

        var vm = this; 
        vm.messages = [];

        getMessages();

        function getMessages() {

            $http.get(ENV.apiUrl+'user/messages').success(function(data) {
                vm.messages = data.messages;
            }).error(function(error) {
            });
        }
    }
    MessageController.$inject = ["$http", "$stateParams", "$localStorage", "ENV"];
    
})(); 
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('MyController', MyController);  

    function MyController($state,$http,$stateParams,$localStorage,ENV) {

        var vm = this; 
        vm.user = $localStorage.user;

        vm.doLogout = doLogout;

        function doLogout() {
        	delete $localStorage.user;
        	delete $localStorage.token;
        	$state.go('login')
        }

    }
    MyController.$inject = ["$state", "$http", "$stateParams", "$localStorage", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('TopController', TopController);  

    function TopController($http,$stateParams,$localStorage,ENV) {

        var vm = this;
        
        vm.users = [];

        getTop();

        function getTop() {

            $http.get(ENV.apiUrl+'top/users').success(function(data) {
                vm.users = data.users;
                vm.rank = data.rank;
                vm.count = data.count;
                vm.month = data.month;
            }).error(function(error) {
            });
        }
    }
    TopController.$inject = ["$http", "$stateParams", "$localStorage", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('UserHomeController', UserHomeController);  

    function UserHomeController($http,$stateParams,$localStorage,ENV) {

        var vm = this; 
        
        vm.user = $localStorage.user;

        var userId = $stateParams.userId;

	    vm.isSelf = false;

	    // if (userId == Auth.getUserId()) {
	    //     $scope.isSelf = true;
	    // }

	    // User.getInfo(userId).then(function(data){
	    //     $scope.user = data;
	    // });

	    // vm.events = [];

	    // vm.getEvents = getEvents;

	    // function getEvents(offset) {
	    //     User.getEvents(userId,offset).then(function(data){
	    //         if (offset === 0) {
	    //             $scope.events = data;
	    //         } else {
	    //             $scope.events = $scope.events.concat(data);
	    //         }
	    //     });
	    // }

	    // getEvents(0);

	    // vm.doRefresh = function() {
	    //     getEvents(0);
	    //     vm.$broadcast('scroll.refreshComplete');
	    //     vm.$apply();
	    // };

    }
    UserHomeController.$inject = ["$http", "$stateParams", "$localStorage", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('UserLogoutController', UserLogoutController);  

    function UserLogoutController($http,$stateParams,$localStorage,ENV) {

        var vm = this; 
        
        vm.user = $localStorage.user;

        var userId = $stateParams.userId;

	    vm.isSelf = false;

    }
    UserLogoutController.$inject = ["$http", "$stateParams", "$localStorage", "ENV"];
    
})();
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('CheckinAddController', CheckinAddController);  

        function CheckinAddController($http,$state,$scope,$log,$ionicLoading,$ionicModal,$stateParams,Goal,Checkin,ENV) {
                var vm = this;
                var goalId = $stateParams.goalId;

                vm.checkin = {
                    'type': false,
                    'model': 'text',
                    'goal_id':goalId,
                    'attachs':[]
                };

                vm.items = [];

               $log.debug("开始请求目标项目...");

                Goal.getItems(goalId).then(function(data) {
                    $log.debug("请求成功");
                    $log.debug(data);
                    vm.items = data;
                }, function(error) {
                    $log.debug("请求失败");
                    $log.debug(error);
                });

                var options = {
                    maximumImagesCount: 1,
                    width: 800,
                    height: 800,
                    quality: 80
                };

                vm.doUpload = function() {
                    $cordovaImagePicker.getPictures(options)
                        .then(function(results) {
                            $ionicLoading.show({
                                template: '图片上传中，请稍候',
                                noBackdrop: true
                            });

                            vm.checkin.image = results[0];

                            var fileURL = vm.checkin.image;

                            var options = {};
                            options.fileKey = "file";
                            options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
                            options.mimeType = "image/jpeg";

                            var headers = {
                                'X-API-TOKEN': $localstorage.get('wdk_token'),
                                'X-API-PLATFORM': ENV.platform
                            };
                            options.headers = headers;
                          
                            $cordovaFileTransfer.upload(encodeURI(ENV.apiUrl+'upload/image'), fileURL, options)
                                .then(function(result) {
                                    $log.info("上传成功");
                                    $log.info(result);
                                    $ionicLoading.show({
                                        template: '上传成功',
                                        noBackdrop: true,
                                        duration: 2000
                                    });
                                    result = JSON.parse(result.response);
                                    vm.checkin.attachs.push(result.data.attach_id);
                                    Log.info(vm.checkin.attachs);
                                }, function(err) {
                                    $log.info("上传失败");
                                    $log.info(result);
                                    $ionicLoading.show({
                                        template: '上传失败，请重试',
                                        noBackdrop: true,
                                        duration: 2000
                                    }); 
                                    vm.checkin.image = null;                   
                                }, function(progress) {
                                    
                                    if (progress.lengthComputable) {
                                        loadingStatus.setPercentage(progress.loaded / progress.total);
                                    } else {
                                        loadingStatus.increment();
                                    }
                            });
                        }, function(error) {
                            // error getting photos
                        });
                };

                vm.day1 = moment().add(-1, 'days').format("YYYY-MM-DD");
                vm.day2 = moment().add(-2, 'days').format("YYYY-MM-DD");
                vm.day3 = moment().add(-3, 'days').format("YYYY-MM-DD");
                // vm.checkin.day = vm.day1;

                // $ionicModal.fromTemplateUrl('templates/checkin_succ_modal.html', {
                //     scope: vm,
                //     animation: 'slide-in-up'
                // }).then(function(modal) {
                //     vm.modal = modal;
                // });

                // vm.cancelShare = function() {
                //     vm.modal.hide();
                //     $state.go('goalview',{
                //         "goalId":goalId
                //     });
                // };

                var doCheckin = function() {
                    Checkin.doCheckin(vm.checkin).
                    then(function(data) {
                        $ionicLoading.show({
                            template: "打卡成功",
                            noBackdrop: true,
                            duration: 2000
                        });     
                        // vm.response = data;
                        // vm.modal.show();
                    }, function(data) {
                        $ionicLoading.show({
                            template: "打卡失败",
                            noBackdrop: true,
                            duration: 2000
                        });                         
                    });
                };

                vm.doCheckin = function() {

                    vm.checkin.items = angular.toJson($scope.items);
                    vm.checkin.obj_id = goalId;
                    vm.checkin.obj_type = 'GOAL';
                    doCheckin();
                    // if ($scope.checkin.image) {
                    //     var uri = ENV.apiUrl+'upload/index';
                    //     fileURL = $scope.checkin.image;

                    //     var options = {};
                    //     options.fileKey = "file";
                    //     options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
                    //     options.mimeType = "image/jpeg";

                    //     $cordovaFileTransfer.upload(uri, fileURL, options)
                    //         .then(function(result) {
                    //             $ionicLoading.hide();
                    //             result = JSON.parse(result.response);
                    //             $scope.checkin.imageUrl = result.result_des;
                    //             doCheckin();
                    //         }, function(err) {
                    //             $ionicLoading.hide();
                    //         }, function(progress) {
                    //             $ionicLoading.show({
                    //                 template: '图片上传中，请稍候',
                    //                 noBackdrop: true
                    //             });
                    //             if (progress.lengthComputable) {
                    //                 loadingStatus.setPercentage(progress.loaded / progress.total);
                    //             } else {
                    //                 loadingStatus.increment();
                    //             }
                    //         });
                    // } else {
                    //     doCheckin();
                    // }
                };

                // 返回
                vm.goBack = function() {
                    $state.go('goal', {
                        goalId: groupId
                    });
                };
    	}
    	CheckinAddController.$inject = ["$http", "$state", "$scope", "$log", "$ionicLoading", "$ionicModal", "$stateParams", "Goal", "Checkin", "ENV"];
})(); 
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('InitController', InitController);  

        function InitController($http,$state,$log,$ionicLoading,$timeout,$localStorage,ENV,Auth,$q) {

         	var vm = this;

         	// vm.isLogin = Auth.isLogin();

         	$timeout(function() {
		        checkUpdate();
		    }, 1000);

		    function startApp() {
                $log.info("开始检查是否登录...");
		        if(Auth.isLogin()){
                    $log.info("已登录，跳转至首页");
		            $state.go('app.home');
		        }
		    }

            function checkUpdate() {
                var fs = new CordovaPromiseFS({
                        Promise: $q
                    });
                // Initialize a CordovaAppLoader
                var loader = new CordovaAppLoader({
                    fs: fs,
                    serverRoot: 'http://down.keepdays.com/www',
                    localRoot: 'app',
                    cacheBuster: true, // make sure we're not downloading cached files.
                    checkTimeout: 10000 // timeout for the "check" function - when you loose internet connection
                });

                $log.info("开始检查更新...");

                loader.check().then(function (updateAvailable) {
                    if (updateAvailable)
                    {
                        $log.info("发现更新内容，开始下载...");

                        loader.download(onprogress)
                            .then(function (manifest){
                                    $log.info("下载完成,开始更新..");
                                    loader.update();
                                },
                                function (error)
                                {
                                    $log.info("下载错误:"+error);
                                }
                            );
                    } else {
                        $log.info("无更新内容");
                        startApp();
                    }
                });
            }
    	}
    	InitController.$inject = ["$http", "$state", "$log", "$ionicLoading", "$timeout", "$localStorage", "ENV", "Auth", "$q"];
})(); 
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('LoginController', LoginController);  

    function LoginController($http,$state,$log, $ionicLoading,$localStorage,ENV,Auth,OAuth) {

        var vm = this; 

        vm.user = {};

        vm.user.email = Auth.getEmail();

        vm.doLogin = doLogin;

        vm.isQQInstalled = OAuth.isQQInstalled();
        vm.isWeiboPluginLoaded = OAuth.isWeiboPluginLoaded();

        vm.doQQLogin = OAuth.doQQLogin;
        vm.doWeiboLogin = OAuth.doWeiboLogin;


        function doLogin() {

            $http.post(ENV.apiUrl+'auth/login',vm.user).success(function(response) {
                if(response.status) {
                    $localStorage.token = response.token;
                    $localStorage.user = response.user;
                    $ionicLoading.show({
                        template: '登录成功',
                        noBackdrop: true,
                        duration: 2000
                    });
                    $state.go('app.home');
                }  else {
                    $ionicLoading.show({
                        template: '登录失败:'+response.message,
                        noBackdrop: true,
                        duration: 2000
                    });
                }        
            }).error(function(error) {
                $ionicLoading.show({
                    template: '登录失败:'+error,
                    noBackdrop: true,
                    duration: 2000
                });
            });
        }
    }
    LoginController.$inject = ["$http", "$state", "$log", "$ionicLoading", "$localStorage", "ENV", "Auth", "OAuth"];
    
})(); 
(function() {

    'use strict';

    angular
        .module('kd.controllers')
        .controller('RegisterController', RegisterController);  

    function RegisterController($http,$state,$log, $ionicLoading,$localStorage,ENV,OAuth) {

        var vm = this; 

        vm.user = {};

        vm.doRegister = doRegister;

        vm.isQQInstalled = OAuth.isQQInstalled();
        vm.isWeiboPluginLoaded = OAuth.isWeiboPluginLoaded();

        vm.doQQLogin = OAuth.doQQLogin;
        vm.doWeiboLogin = OAuth.doWeiboLogin;

        function doRegister() {

            $http.post(ENV.apiUrl+'auth/register',vm.user).success(function(response) {
                if(response.status) {
                    $localStorage.token = response.token;
                    $localStorage.user = response.user;
                    $ionicLoading.show({
                        template: '注册成功',
                        noBackdrop: true,
                        duration: 2000
                    });
                    $state.go('app.home');
                }  else {
                    $ionicLoading.show({
                        template: '注册失败:'+response.message,
                        noBackdrop: true,
                        duration: 2000
                    });
                }        
            }).error(function(error) {
                $ionicLoading.show({
                    template: '注册失败:'+error,
                    noBackdrop: true,
                    duration: 2000
                });
            });
        }
    }
    RegisterController.$inject = ["$http", "$state", "$log", "$ionicLoading", "$localStorage", "ENV", "OAuth"];
    
})(); 
angular.module('kd.controllers')

// // 初始化
// .controller('InitCtrl', function($scope, $state,$timeout, Auth) {

//     $scope.isLogin = Auth.isLogin();

//     var startApp = function() {
//         if(Auth.isLogin()){
//             $state.go('app.home');
//         }
//     };

//     $timeout(function() {
//         startApp();
//     }, 1000);

// })

// *******************
// 登录
// *******************
// .controller('LoginCtrl', function($scope, $state, $ionicLoading,Auth,OAuth) {
//     $scope.user = {};

//     $scope.user.email = Auth.getEmail();

//     $scope.doLogin = function() {

//         $ionicLoading.show({template: '<ion-spinner icon="ios"></ion-spinner><br>登录中，请稍候...'});

//         Auth.login($scope.user.email, $scope.user.password).then(function(data) {
//             $ionicLoading.show({
//                 template: '登录成功',
//                 noBackdrop: true,
//                 duration: 2000
//             });
//             $state.go('app.home');
//         }, function(data) {
//             $ionicLoading.show({
//                 template: '登录失败'+data,
//                 noBackdrop: true,
//                 duration: 2000
//             });
//         });
//     };

//     $scope.isQQInstalled = false;

//     var checkQQIsInstalled = 0;

//     if(window.cordova&&YCQQ) {

//         YCQQ.checkClientInstalled(function(){
//             Log.info("已安装qq客户端");
//             checkQQIsInstalled = 1;
//             $scope.isQQInstalled = true;
//         },function(){
//             Log.error("未安装qq客户端");
//             return;
//         });
//     }

//     $scope.doQQLogin = function() {
//         OAuth.qq(checkQQIsInstalled);
//     };

//     $scope.doWeiboLogin = function() {
//         OAuth.weibo();
//     };

//     // $scope.doVisit = function() {
//     //   var openid = $localstorage.get('openid');

//     //   console.log(openid);

//     //   if(openid == undefined) {
//     //     $ionicLoading.show({ template: '非法登陆', noBackdrop: true, duration: 2000 });
//     //     return;
//     //   }

//     //   $http.post(APIURL + 'auth/weixin', {platform:'weixin',openid: openid})
//     //   .success(function(response) {

//     //     $ionicLoading.show({ template: response.msg, noBackdrop: true, duration: 2000 });

//     //     if(response.code == 0) {
//     //       $localstorage.set('token',response.data.token);
//     //       $localstorage.set('userId',response.data.user_id);
//     //       $http.defaults.headers.common['X-API-TOKEN'] = response.data.token;

//     //       $state.go('app.home');
//     //     } 
//     //   });

//     // }
// })

// *******************
// 注册
// *******************
// .controller('RegCtrl', function($scope,$state,$ionicLoading,Auth,OAuth) {
//     $scope.user = {};

//     $scope.doReg = function() {
//         $ionicLoading.show({template: '<ion-spinner icon="ios"></ion-spinner><br>注册中,请稍候...'});

//         Auth.reg($scope.user.email, $scope.user.password).then(function(data) {
//             $ionicLoading.show({
//                 template: '注册成功',
//                 noBackdrop: true,
//                 duration: 2000
//             });
//             $state.go('app.home');
//         }, function(data) {
//             $ionicLoading.show({
//                 template: '注册失败:' + data.msg,
//                 noBackdrop: true,
//                 duration: 2000
//             });
//         });
//     };

//     $scope.isQQInstalled = false;

//     var checkQQIsInstalled = 0;

//     if(window.cordova&&YCQQ) {

//         YCQQ.checkClientInstalled(function(){
//             Log.info("已安装qq客户端");
//             checkQQIsInstalled = 1;
//             $scope.isQQInstalled = true;
//         },function(){
//             Log.error("未安装qq客户端");
//             return;
//         });
//     }

//     $scope.doQQLogin = function() {
//         OAuth.qq(checkQQIsInstalled);
//     };

//      $scope.doWeiboLogin = function() {
//         OAuth.weibo();
//     };


// })


// *******************
// 打卡控制器
// *******************
// .controller('CheckinAddCtrl', function($scope, $state, $ionicLoading, $stateParams, $ionicPopup, $rootScope,$localstorage, Goal, Checkin, ENV,Log,$ionicModal, $cordovaImagePicker, $cordovaFileTransfer) {

//     var goalId = $stateParams.goalId;

//     $scope.checkin = {
//         'type': false,
//         'model': 'text',
//         'attachs':[]
//     };

//     $scope.items = [];

//     Goal.getItems(goalId).then(function(data) {
//         $scope.items = data;
//     }, function(data) {});

//     var options = {
//         maximumImagesCount: 1,
//         width: 800,
//         height: 800,
//         quality: 80
//     };

//     $scope.doUpload = function() {
//         $cordovaImagePicker.getPictures(options)
//             .then(function(results) {
//                 $ionicLoading.show({
//                     template: '图片上传中，请稍候',
//                     noBackdrop: true
//                 });

//                 $scope.checkin.image = results[0];

//                 var fileURL = $scope.checkin.image;

//                 var options = {};
//                 options.fileKey = "file";
//                 options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
//                 options.mimeType = "image/jpeg";

//                 var headers = {
//                     'X-API-TOKEN': $localstorage.get('wdk_token'),
//                     'X-API-PLATFORM': ENV.platform
//                 };
//                 options.headers = headers;
              
//                 $cordovaFileTransfer.upload(encodeURI(ENV.apiUrl+'upload/image'), fileURL, options)
//                     .then(function(result) {
//                         Log.info("上传成功");
//                         Log.info(result);
//                         $ionicLoading.show({
//                             template: '上传成功',
//                             noBackdrop: true,
//                             duration: 2000
//                         });
//                         result = JSON.parse(result.response);
//                         $scope.checkin.attachs.push(result.data.attach_id);
//                         Log.info($scope.checkin.attachs);
//                     }, function(err) {
//                         Log.info("上传失败");
//                         Log.info(result);
//                         $ionicLoading.show({
//                             template: '上传失败，请重试',
//                             noBackdrop: true,
//                             duration: 2000
//                         }); 
//                         $scope.checkin.image = null;                   
//                     }, function(progress) {
                        
//                         if (progress.lengthComputable) {
//                             loadingStatus.setPercentage(progress.loaded / progress.total);
//                         } else {
//                             loadingStatus.increment();
//                         }
//                 });
//             }, function(error) {
//                 // error getting photos
//             });
//     };

//     $scope.day1 = moment().add(-1, 'days').format("YYYY-MM-DD");
//     $scope.day2 = moment().add(-2, 'days').format("YYYY-MM-DD");
//     $scope.day3 = moment().add(-3, 'days').format("YYYY-MM-DD");
//     $scope.checkin.day = $scope.day1;

//     $ionicModal.fromTemplateUrl('templates/checkin_succ_modal.html', {
//         scope: $scope,
//         animation: 'slide-in-up'
//     }).then(function(modal) {
//         $scope.modal = modal;
//     });

//     $scope.cancelShare = function() {
//         $scope.modal.hide();
//         $state.go('goalview',{
//             "goalId":goalId
//         });
//     };

//     var doCheckin = function() {
//         Checkin.doCheckin($scope.checkin).
//         then(function(data) {
//             $scope.response = data;
//             $scope.modal.show();
//         }, function(data) {
//             if(data.msg) {
//                $ionicLoading.show({
//                 template: data.msg,
//                 noBackdrop: true,
//                 duration: 2000
//             }); 
//             }
            
//         });
//     };

//     $scope.doCheckin = function() {

//         $scope.checkin.items = angular.toJson($scope.items);
//         $scope.checkin.goal_id = goalId;

//         doCheckin();
//         // if ($scope.checkin.image) {
//         //     var uri = ENV.apiUrl+'upload/index';
//         //     fileURL = $scope.checkin.image;

//         //     var options = {};
//         //     options.fileKey = "file";
//         //     options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
//         //     options.mimeType = "image/jpeg";

//         //     $cordovaFileTransfer.upload(uri, fileURL, options)
//         //         .then(function(result) {
//         //             $ionicLoading.hide();
//         //             result = JSON.parse(result.response);
//         //             $scope.checkin.imageUrl = result.result_des;
//         //             doCheckin();
//         //         }, function(err) {
//         //             $ionicLoading.hide();
//         //         }, function(progress) {
//         //             $ionicLoading.show({
//         //                 template: '图片上传中，请稍候',
//         //                 noBackdrop: true
//         //             });
//         //             if (progress.lengthComputable) {
//         //                 loadingStatus.setPercentage(progress.loaded / progress.total);
//         //             } else {
//         //                 loadingStatus.increment();
//         //             }
//         //         });
//         // } else {
//         //     doCheckin();
//         // }
//     };

//     // 返回
//     $scope.goBack = function() {
//         $state.go('goal', {
//             goalId: groupId
//         });
//     };
// })

// 打卡分享控制器
.controller('CheckinShareCtrl',["$scope", "$stateParams", "$ionicLoading", "Checkin", "Log", "Comm", "ENV", function($scope,$stateParams,$ionicLoading,Checkin,Log,Comm,ENV) {

    var checkinId = $stateParams.checkinId;

    $scope.checkin = {};

    $scope.platform = ENV.platform;

    var shareImageUrl = 'http://wdk.keepdays.com/private/img/logo.png';
    var shareTitle = "打卡邀请";

    Checkin.getInfo(checkinId).then(function(data){
        $scope.checkin = data;

        var shareUrl = "http://www.keepdays.com/checkin/"+$scope.checkin.checkin_id;
        
        var shareDesc = "我在#"+$scope.checkin.goal_name+"#已经打卡"+$scope.checkin.total_days+"天了,快来一起来挑战吧...";

        $scope.shareToQQ = function() {
            var args = {};
            args.url = shareUrl;
            args.title = shareTitle;
            args.description = shareDesc;
            args.imageUrl = shareImageUrl;
            args.appName = "微打卡";
            YCQQ.shareToQQ(function(){
                // $ionicLoading.show({ template: '分享成功', noBackdrop: true, duration: 2000 });          
                Log.info("QQ分享成功");
            },function(failReason){
                Log.info("QQ分享失败");
                Log.info(failReason);
            },args);
        };

        $scope.shareToQzone = function() {
            var args = {};
            args.url = shareUrl;
            args.title = shareTitle;
            args.description = shareDesc;
            var imgs =[];
            imgs.push(shareImageUrl);
            args.imageUrl = imgs;
            YCQQ.shareToQzone(function () {
                // $ionicLoading.show({ template: '分享成功', noBackdrop: true, duration: 2000 });          
                Log.info("QQ空间分享成功");
            }, function (failReason) {
                Log.info("QQ空间分享失败");
                Log.info(failReason);
            }, args);
        };

        $scope.shareToWeibo = function() {
            window.weibo.share({
                type: 'image',
                data: shareImageUrl,
                text: shareDesc+','+shareUrl
            },function(res){
                $ionicLoading.show({ template: '分享成功', noBackdrop: true, duration: 2000 });          
                Log.info("微博分享成功");
            },function(res){
                Log.info("微博分享失败");
                Log.info(failReason);
            });
        };

        $scope.isWechatInstall = false;

        Wechat.isInstalled(function (installed) {
            $scope.isWechatInstall = installed;
        });


        $scope.ShareToWechat = function(type) {
            Wechat.isInstalled(function (installed) {
                // alert("Wechat installed: " + (installed ? "Yes" : "No"));
                var scene = Wechat.Scene.TIMELINE;
                if(type === 0) {
                  scene = Wechat.Scene.WXSceneSession;
                }

                Wechat.share({
                    message: {
                        title: shareTitle,
                        description: shareDesc,
                        thumb: shareImageUrl,
                        mediaTagName: "checkin share",
                        messageExt: "",
                        messageAction: "<action>dotalist</action>",
                        media: {
                            type:Wechat.Type.LINK,
                            webpageUrl:shareUrl,
                        }
                    },
                    scene: type   // share to Timeline
                }, function (res) {
                    $ionicLoading.show({ template: '分享成功', noBackdrop: true, duration: 2000 });          
                    Log.info("微信分享成功");
                }, function (reason) {
                    Log.info("微信分享失败");
                    Log.info(reason);
                });
            }, function (reason) {
                // $ionicLoading.show({ template: '未安装微信客户端', noBackdrop: true, duration: 2000 });          
            });
        };  
    });

    $scope.goBack = function() {
        Comm.goBack();
    };     
}])

// 个人资料控制器
.controller('ProfileCtrl', ["$scope", "$state", "$ionicLoading", "Auth", "User", "Upload", function($scope, $state, $ionicLoading, Auth,User,Upload) {

    $scope.profile = {};

    var userId = Auth.getUserId();

    User.getInfo(userId).then(function(data){
        $scope.user = data;
        $scope.profile.nickname = data.nickname;
        $scope.profile.signature = data.signature;
        $scope.profile.user_avatar = data.user_avatar;
    });

    $scope.saveProfile = function() {
        User.saveProfile($scope.profile).then(function(data){
            $ionicLoading.show({
                template: "更新成功",
                noBackdrop: true,
                duration: 2000
            });
            $state.go('app.my');
        });
    };

    $scope.avatarPick = function() {
        Upload.image().then(function(data){          
            var image = document.getElementById('avatar');
            image.src = data;
            $scope.profile.user_avatar = data; 
        },function(error){

        });
    };

}]);
angular.module('kd.services', ['kd.config'])	

	// 本地存储
	.factory('$localstorage', ['$q', function($q) {
	    return {
	        get: function(key, toJson) {
	            var value = window.localStorage[key];
	            return toJson ? angular.fromJson(value) : value;
	        },
	        set: function(key, value) {
	            window.localStorage[key] = typeof value == "object" ? angular.toJson(value) : value;
	        },
	        has: function(key) {
	            return window.localStorage[key] !== undefined ? true : false;
	        },
	        clear: function(keys) {
	            var keysToClear = keys.split(" ");
	            angular.forEach(keysToClear, function(key) {
	                window.localStorage.removeItem(key);
	            });
	        }
	    };
	}])

	// 通用服务
	.factory('Comm',['$ionicHistory','$state', function($ionicHistory,$state) {
	    return {
	        goBack: function() {
	            if($ionicHistory.backView()) {
	                $ionicHistory.goBack();
	            } else {
	                $state.go('app.home');
	            }
	        }
	    };
	}])

	// 日志服务(仅debug模式下输出)
	.factory('Log',['ENV',function(ENV) {
	    return {
	        info: function(data) {
	            if(ENV.debug){
	                if(typeof data == "object") {
	                    console.log(data);
	                } else {
	                    console.log('%c '+data,'color:blue');
	                }
	            }
	        },
	        warning: function(data) {
	        	if(ENV.debug){
	        		console.log('%c '+data,'color:yellow');
	        	}
	        },
	        error: function(data) {
	        	if(ENV.debug){
	        		if(typeof data == "object") {
	                    console.log(data);
	                } else {
	        			console.log('%c '+data,'color:red');
	        		}
	        	}
	        }
	    };
	}])

	// // 认证服务
	// .factory('Auth', ['$http', '$q', '$localStorage', '$state','ENV', 
	//     function($http, $q, $localStorage, $state,ENV) {
	//     return {
	//         login: function(email, password) {
	//             var deferred = $q.defer();
	//             $http.post(ENV.apiUrl + 'auth/login', {
	//                     platform: ENV.platform,
	//                     email: email,
	//                     password: password
	//                 })
	//                 .success(function(data, status, headers, config) {
	//                     if (data.code ===  0) {
	//                         $localStorage.user = data.user;
	//                         $localStorage.token = data.token;
	//                         deferred.resolve(data);
	//                     } else {
	//                         deferred.reject(data.msg);
	//                     }
	//                 })
	//                 .error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         bind:function(userId,type,email,password){
	// 	        var deferred = $q.defer(); 
	// 	        $http.post(ENV.apiUrl + 'auth/bind', {user_id:userId,provider:$localstorage.get('wdk_provider'),type:type,email:email,password:password})
	// 	        .success(function(data) {
	// 	          if(data.code === 0) {
	// 	            $localstorage.set('wdk_user',data.data);
	// 	            $http.defaults.headers.common['X-API-TOKEN'] = data.data.token;
	// 	            $localstorage.set('wdk_token',data.data.token);
	// 	            deferred.resolve(data);  
	// 	          } else {
	// 	            deferred.reject(data);
	// 	          }
	// 	        })
	// 	        .error(function(data){
	// 	           deferred.reject(data);
	// 	        });
	// 	        return deferred.promise;  
	// 	    },
	//         isLogin: function() {
	//         	console.log($localStorage);
	//         	// if ($localStorage.user && $localStorage.token) {
 //          // 			return true;
 //        		// } else {
 //          // 			return false;
 //        		// }
 //        		return false;
	//         },
	//         getEmail: function() {
	//             if ($localStorage.user) {
	//                 return $localStorage.user.email;
	//             } else {
	//                 return null;
	//             }
	//         },
	//         getUser: function() {
	//             var user = $localStorage.user;
	//             if (user) {
	//                 return user;
	//             } else {
	//                 $state.go('init');
	//             }
	//         },
	//         getUserId: function() {
	//             var user = $localStorage.user;
	//             if (user) {
	//                 return user.user_id;
	//             } else {
	//                 $state.go('login',null,{ reload:true });
	//             }
	//         },
	//         reg: function(email, password) {
	//             var deferred = $q.defer();
	//             $http.post(ENV.apiUrl + 'auth/register', {
	//                     type: ENV.platform,
	//                     email: email,
	//                     password: password
	//                 })
	//                 .success(function(data, status, headers, config) {
	//                     if (data.code ===  0) {
	//                         $localstorage.set('wdk_user', data.data);
	//                         $http.defaults.headers.common['X-API-TOKEN'] = data.data.token;
	//                         deferred.resolve(data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 })
	//                 .error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//     };
	// }])

	// 用户服务
	.factory('User', ['$http', '$q', '$localstorage','Auth','ENV',
	 function($http, $q, $localstorage,Auth,ENV) {
	    // var userId = Auth.getUserId();

	    return {
	        getGoals: function() {
	            var deferred = $q.defer();
	            $http.get(ENV.apiUrl + 'user/goals')
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.goals);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getGoal: function(goalId) {
	            var deferred = $q.defer();

	            $http.get(ENV.apiUrl + 'user/goal?user_id=' + userId + '&goal_id=' + goalId)
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getInfo:function(userId2) {
	            var deferred = $q.defer();

	            $http.get(ENV.apiUrl + 'user/info?user_id=' + userId2)
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getEvents:function(userId2,offset) {
	            var deferred = $q.defer();

	            $http.get(ENV.apiUrl + 'user/events?user_id=' + userId2 + '&offset='+offset)
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getNewMessageCount:function(){
	            var deferred = $q.defer(); 
	            $http.get(ENV.apiUrl + 'user/new_message?user_id=' + userId)
	            .success(function(data) {
	                if (data.code === 0) {
	                    deferred.resolve(data.data);
	                } else {
	                    deferred.reject(data);
	                }
	            }).error(function(data) {
	                deferred.reject(data);
	            });
	            return deferred.promise;
	        },
	        getMessages:function(type){
	            var deferred = $q.defer(); 
	            $http.get(ENV.apiUrl + 'user/message?user_id=' + userId+'&type='+type)
	            .success(function(data) {
	                if (data.code ===  0) {
	                    deferred.resolve(data.data);
	                } else {
	                    deferred.reject(data);
	                }
	            }).error(function(data) {
	                deferred.reject(data);
	            });
	            return deferred.promise;
	        },
	        doFeedback:function(content){
	            var deferred = $q.defer(); 
	            $http.post(ENV.apiUrl + 'user/feedback', {
	                user_id: userId,
	                content: content,
	                platform: PLATFORM,
	                version: VERSION
	            }).success(function(data) {
	                if (data.code ===  0) {
	                    deferred.resolve(data.data);
	                } else {
	                    deferred.reject(data);
	                }
	            }).error(function(data) {
	                deferred.reject(data);
	            });
	            return deferred.promise;
	        },
	        saveProfile:function(profile){
	            var deferred = $q.defer(); 
	            profile.user_id = userId;
	            $http.post(ENV.apiUrl + 'user/profile', profile
	              ).success(function(data) {
	                if (data.code ===  0) {
	                    deferred.resolve(data.data);
	                } else {
	                    deferred.reject(data);
	                }
	            }).error(function(data) {
	                deferred.reject(data);
	            });
	            return deferred.promise;
	        }
	    };
	}])

	// // 目标服务
	// .factory('Goal', ['$http', '$q', '$localstorage','Auth','ENV', function($http, $q, $localstorage,Auth,ENV) {
	//     var userId = Auth.getUserId();
	//     return {
	//         createGoal: function(goal) { // 创建目标
	//             var deferred = $q.defer();

	//             $http.post(ENV.apiUrl + 'goal/create', goal)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         editGoal: function(goal) { // 编辑目标
	//             var deferred = $q.defer();

	//             $http.post(ENV.apiUrl + 'goal/update', goal)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getGoal: function(goalId) { // what?
	//             var deferred = $q.defer();
	//             $http.get(ENV.apiUrl + 'goal/info/' + goalId)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         deleteGoal:function(goalId){
	// 	       var deferred = $q.defer(); 

	// 	      $http.post(ENV.apiUrl + 'goal/delete',{user_id:userId,goal_id:goalId})
	// 	       .success(function(data) {
	// 	          if(data.code === 0) {
	// 	            deferred.resolve(data.data);  
	// 	          } else {
	// 	            deferred.reject(data);
	// 	          } 
	// 	       }).error(function(data){
	// 	          deferred.reject(data);       
	// 	       });
	// 	       return deferred.promise; 
	// 	    },
	//         getLogs:function(goalId) { // 获取日志
	//             var deferred = $q.defer();
	//             $http.get(ENV.apiUrl + 'goal/log?user_id=' + userId + '&goal_id=' + goalId)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getEvents:function(goalId,offset) { // 获取动态
	//             var deferred = $q.defer();
	//             $http.get(ENV.apiUrl + 'goal/events?goal_id=' + goalId + '&offset=' + offset)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getTop:function(goalId,offset) { //获取排行
	//             var deferred = $q.defer();
	//             $http.get(ENV.apiUrl + 'goal/top?goal_id=' + goalId + '&offset=' + offset)
	//                 .success(function(data) {
	//                     if (data.code ===   0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getItems: function(goalId) { // 获取项目
	//             var deferred = $q.defer();
	//             $http.get(ENV.apiUrl + 'goal/items?user_id=' + userId + '&goal_id=' + goalId)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         insertItem: function(item) {
	//             var deferred = $q.defer();

	//             $http.post(ENV.apiUrl + 'goal/item', item)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//     };
	// }])

	// 打卡服务
	// .factory('Checkin', ['$http', '$q', '$localstorage', '$ionicLoading','$ionicActionSheet','$state','ENV','Auth',function($http, $q, $localstorage, $ionicLoading,$ionicActionSheet,$state,ENV,Auth) {
	//     var userId = Auth.getUserId();
	//     return {
	//         doCheckin: function(checkin) {
	//             var deferred = $q.defer();
	//             checkin.user_id = userId;
	//             $http.post(ENV.apiUrl + 'checkin/create', checkin)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getInfo:function(checkinId) {
	//             var deferred = $q.defer();

	//             $http.get(ENV.apiUrl + 'checkin/info?checkin_id='+checkinId)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         getComments:function(checkinId) {
	//             var deferred = $q.defer();

	//             $http.get(ENV.apiUrl + 'checkin/comments?checkin_id='+checkinId)
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         doComment: function(checkinId, content) {
	//             var deferred = $q.defer();

	//             $http.post(ENV.apiUrl + 'checkin/comment', {
	//                     user_id: userId,
	//                     checkin_id: checkinId,
	//                     content: content
	//                 })
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         doLike: function(checkinId) {
	//             var deferred = $q.defer();

	//             $http.post(ENV.apiUrl + 'checkin/like', {
	//                     checkin_id: checkinId,
	//                     user_id: userId
	//                 })
	//                 .success(function(data) {
	//                     if (data.code ===  0) {
	//                         deferred.resolve(data.data);
	//                     } else {
	//                         deferred.reject(data);
	//                     }
	//                 }).error(function(data) {
	//                     $ionicLoading.show({
	//                         template: data.msg,
	//                         noBackdrop: true,
	//                         duration: 2000
	//                     });
	//                     deferred.reject(data);
	//                 });
	//             return deferred.promise;
	//         },
	//         showMore:function(checkinId){
	//         	$ionicActionSheet.show({
	// 	            buttons: [
	// 	                { text: '分享' }
	// 	            ],
	// 	            destructiveText: '',
	// 	            titleText: '更多设置',
	// 	            cancelText: '取消',
	// 	            cancel: function() {
	// 	                return true;
	// 	            },
	// 	            buttonClicked: function(index) {
	// 	                if(index === 0) {
	// 	                	$state.go('checkinshare',{checkinId:checkinId});
	// 	                }
	// 	                return true;
	// 	            }
 //        		});
	//         }
	//     };
	// }])

	// 发现
	.factory('Explore', ['$http', '$q', '$localstorage', '$ionicLoading','ENV',
	    function($http, $q, $localstorage, $ionicLoading,ENV) {
	    return {
	        getNew:function(offset) { //获取最新
	            var deferred = $q.defer();
	            $http.get(ENV.apiUrl + 'checkin/new?offset=' + offset)
	                .success(function(data) {
	                    if (data.code === 0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getHot:function(offset) { //获取最热
	            var deferred = $q.defer();
	            $http.get(ENV.apiUrl + 'checkin/hot?offset=' + offset)
	                .success(function(data) {
	                    if (data.code === 0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	    };
	}])

	// 排行榜
	.factory('Top', ['$http', '$q', '$localstorage', '$ionicLoading','ENV',
	    function($http, $q, $localstorage, $ionicLoading,ENV) {
	    return {
	        getUsers:function() { //获取用户排行
	            var deferred = $q.defer();
	            $http.get(ENV.apiUrl + 'top/users')
	                .success(function(data) {
	                    if (data.code === 0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getGoals:function() { //获取目标排行
	            var deferred = $q.defer();
	            $http.get(ENV.apiUrl + 'top/groups')
	                .success(function(data) {
	                    if (data.code === 0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	    };
	}])

	// // 拦截器服务
	// .factory('TrendicityInterceptor',['$injector','$q','Log','ENV','$localstorage','$state',function($injector,$q,Log,ENV,$localstorage,$state) {
	//         var hideLoadingModalIfNecessary = function() {
	//             var $http = $http || $injector.get('$http');
	//             if ($http.pendingRequests.length === 0) {
	//                 // $injector.get('$ionicLoading').hide();
	//             }
	//         };

	//         return {
	//             request: function(request) {
	//             	if ($localstorage.get('wdk_token')) {
 //                    	request.headers.Authorization = 'Bearer ' + $localstorage.get('wdk_token');
 //                	}
	//                 if(request.url.indexOf(ENV.apiUrl)>=0) {
	//                     Log.info("请求接口："+request.url);
	//                     if(request.method == "POST") {
	//                         Log.info(request.data);
	//                     }
	//                     Log.info(request);
	//                 } 
	//                 // $injector.get('$ionicLoading').show();
	//                 return request;
	//             },
	//             requestError: function(rejection) {
	//                 hideLoadingModalIfNecessary();
	//                 Log.info("请求错误：");
	//                 Log.info(JSON.stringify(rejection));
	//                 return $q.reject(rejection);
	//             },
	//             response: function(response) {
	//                 if(response.config.url.indexOf(ENV.apiUrl)>=0) {
	//                     Log.info("返回结果：");
	//                     Log.info(JSON.stringify(response));
	//                 }
	//                 hideLoadingModalIfNecessary();
	//                 return response;
	//             },
	//             responseError: function(rejection) {
	//                 hideLoadingModalIfNecessary();
	//                 Log.info("返回错误：");
	//                 console.log(rejection);
	//                 Log.info(typeof rejection == "object"?JSON.stringify(rejection):rejection);
	//                 if (rejection.status === 400 &&
	//                     rejection.data.meta.error_type === 'OAuthParameterException') { // jshint ignore:line
	//                     console.log('detected what appears to be an Instagram auth error...');
	//                     rejection.status = 401; // Set the status to 401 so that angular-http-auth inteceptor will handle it
	//                 }

	//                 if(rejection.status == 403) {
	//                 	$state.go('login');
	//                 }

	//                 return $q.reject(rejection);
	//             }
	//         };
	// }])
	;

(function() {
    'use strict';

    angular
        .module('kd.services')
        .factory('Auth', Auth);

    function Auth($http, $q, $localStorage, $state,ENV) {
       var vm = this;
        var service = {
            login: login,
            register:register,
            isLogin: isLogin,
            getEmail:getEmail
        };
        return service;

        function login(email,password) {
            $http.post(ENV.apiUrl + 'auth/login', {
                email:email,
                password:password
            }).success(function(){

            }).error(function(){

            });
        }

        function register(email,password) {
            $http.post(ENV.apiUrl + 'auth/register', {
                email:email,
                password:password
            }).success(function(){

            }).error(function(){

            });
        }

        function isLogin() {
            if ($localStorage.user && $localStorage.token) {
                 return true;
            } 
            return false;
        }

        function getEmail() {
            if ($localStorage.user) {
                return $localStorage.user.email;
            }
            return null;
        }

        function getUserId() {
            if ($localStorage.user) {
                return $localStorage.user.user_id;
            }
            return null;
        }
    }
    Auth.$inject = ["$http", "$q", "$localStorage", "$state", "ENV"];

})();


(function() {
    'use strict';

    angular
        .module('kd.services')
        .factory('Checkin', Checkin);

       	function Checkin($http, $q, $localStorage,$ionicLoading, $state,ENV,Auth) {
	    return {
	        doCheckin: function(checkin) {
	            var deferred = $q.defer();
	            $http.post(ENV.apiUrl + 'checkin/create', checkin)
	                .success(function(data) {
	                	console.log(data);
	                    if (data.status) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data.message);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getInfo:function(checkinId) {
	            var deferred = $q.defer();

	            $http.get(ENV.apiUrl + 'checkin/info?checkin_id='+checkinId)
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        getComments:function(checkinId) {
	            var deferred = $q.defer();

	            $http.get(ENV.apiUrl + 'checkin/comments?checkin_id='+checkinId)
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        doComment: function(checkinId, content) {
	            var deferred = $q.defer();

	            $http.post(ENV.apiUrl + 'checkin/comment', {
	                    checkin_id: checkinId,
	                    content: content
	                })
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        doLike: function(checkinId) {
	            var deferred = $q.defer();

	            $http.post(ENV.apiUrl + 'checkin/like', {
	                    checkin_id: checkinId,
	                })
	                .success(function(data) {
	                    if (data.code ===  0) {
	                        deferred.resolve(data.data);
	                    } else {
	                        deferred.reject(data);
	                    }
	                }).error(function(data) {
	                    $ionicLoading.show({
	                        template: data.msg,
	                        noBackdrop: true,
	                        duration: 2000
	                    });
	                    deferred.reject(data);
	                });
	            return deferred.promise;
	        },
	        showMore:function(checkinId){
	        	$ionicActionSheet.show({
		            buttons: [
		                { text: '分享' }
		            ],
		            destructiveText: '',
		            titleText: '更多设置',
		            cancelText: '取消',
		            cancel: function() {
		                return true;
		            },
		            buttonClicked: function(index) {
		                if(index === 0) {
		                	$state.go('checkinshare',{checkinId:checkinId});
		                }
		                return true;
		            }
        		});
	        }
	    };

        }
        Checkin.$inject = ["$http", "$q", "$localStorage", "$ionicLoading", "$state", "ENV", "Auth"];

})();

(function() {
    'use strict';

    angular
        .module('kd.services')
        .factory('Goal', Goal);

    function Goal($http, $q, $localStorage, $state,ENV) {
       var vm = this;

        var service = {
            createGoal: createGoal,
            editGoal: editGoal,
            getGoal:getGoal,
            deleteGoal:deleteGoal,
            getItems:getItems,
            insertItem:insertItem
        };

        return service;

        function createGoal(goal) {
             var deferred = $q.defer();

            $http.post(ENV.apiUrl + 'goal/create', goal)
                .success(function(data) {
                    if (data.code ===  0) {
                        deferred.resolve(data.data);
                    } else {
                        deferred.reject(data);
                    }
                }).error(function(data) {
                    deferred.reject(data);
                });
            return deferred.promise;
        }

        function editGoal(goal) {
            var deferred = $q.defer();

            $http.post(ENV.apiUrl + 'goal/update', goal)
                .success(function(data) {
                    if (data.code ===  0) {
                        deferred.resolve(data.data);
                    } else {
                        deferred.reject(data);
                    }
                }).error(function(data) {
                    deferred.reject(data);
                });
            return deferred.promise;
        }

        function getGoal(goalId){
            var deferred = $q.defer();
            $http.get(ENV.apiUrl + 'goal/info/' + goalId)
                .success(function(data) {
                    if (data.code ===  0) {
                        deferred.resolve(data.data);
                    } else {
                        deferred.reject(data);
                    }
                }).error(function(data) {
                    deferred.reject(data);
                });
            return deferred.promise;
        }

        function deleteGoal(goalId){
             var deferred = $q.defer(); 

              $http.post(ENV.apiUrl + 'goal/delete',{goal_id:goalId})
               .success(function(data) {
                  if(data.status) {
                    deferred.resolve(data);  
                  } else {
                    deferred.reject(data);
                  } 
               }).error(function(data){
                  deferred.reject(data.message);       
               });
               return deferred.promise; 
        }

        function getItems(goalId){
             var deferred = $q.defer();
            $http.get(ENV.apiUrl + 'goal/items?goal_id=' + goalId)
                .success(function(data) {
                    // if (data.code ===  0) {
                        deferred.resolve(data.items);
                    // } else {
                    //     deferred.reject(data);
                    // }
                }).error(function(data) {
                    deferred.reject(data);
                });
            return deferred.promise;
        }

        function insertItem(item) {
            var deferred = $q.defer();

            $http.post(ENV.apiUrl + 'goal/item', item)
                .success(function(data) {
                    if (data.code ===  0) {
                        deferred.resolve(data.data);
                    } else {
                        deferred.reject(data);
                    }
                }).error(function(data) {
                    deferred.reject(data);
                });
            return deferred.promise;
        }

    }
    Goal.$inject = ["$http", "$q", "$localStorage", "$state", "ENV"];

})();

(function() {
    'use strict';

    angular
        .module('kd.services')
        .factory('Item', Item);

    function Item($rootScope,$ionicModal) {
    	var vm = this;

        var service = {
        	showModal:showModal,
        	hideModal:hideModal,
        };

        function showModal() {
        	$ionicModal.fromTemplateUrl('templates/item_add_modal.html', {
	            scope: $rootScope.$new(),
	            animation: 'slide-in-up'
	        }).then(function(modal) {
	            vm.modal = modal;
	        });
        }

        function hideModal() {
         	vm.modal.hiden();
        }

        return service;
   	}
   	Item.$inject = ["$rootScope", "$ionicModal"];

})();
(function() {
    'use strict';

    angular
        .module('kd.services')
        .factory('OAuth', OAuth);

    function OAuth($http, $q, $localStorage, $log,$state,ENV) {
        var vm = this;

        var service = {
            weiboLogin: weiboLogin,
            qqLogin:qqLogin,
            isWeiboPluginLoaded:isWeiboPluginLoaded,
            isQQInstalled:isQQInstalled
        };

        var checkQQIsInstalled = 0;

        function doThirdLogin(provider,oauthData) {
            // var loginData = {};
            oauthData.provider = provider;
            oauthData.platform = device.platform;
            oauthData.model = device.model;
            oauthData.version = device.version;
            oauthData.cordova = device.cordova;

            $http.post(ENV.apiUrl + 'auth/oauth', oauthData)
            .success(function(data, status, headers, config) {
                if (data.code ===  0) {
                    var user = data.data;
                    $localstorage.clear('wdk_user');
                    $localstorage.clear('wdk_token');
                    $localstorage.clear('wdk_provider');
                    $ionicHistory.clearCache();
                    $localstorage.set('wdk_user', user);
                    $http.defaults.headers.common['X-API-TOKEN'] = user.token;
                    $localstorage.set('wdk_token', user.token);
                    $localstorage.set('wdk_provider',provider);
                    $ionicLoading.show({
                        template: '登录成功',
                        noBackdrop: true,
                        duration: 2000
                    });
                    if (user.hasOwnProperty('email') && user.email) {
                        $state.go('app.home');
                    } else {
                        $state.go('bind');
                    }
                } else {
                    $ionicLoading.show({
                        template: '登录失败'+data.msg,
                        noBackdrop: true,
                        duration: 2000
                    });
                }
            })
            .error(function(data) {
                $ionicLoading.show({
                    template: '请求错误：'+data,
                    noBackdrop: true,
                    duration: 2000
                });
            });
        }

        function isQQInstalled(){
            if(window.cordova&&YCQQ) {
                $log.debug("QQ登录插件加载成功！");
                YCQQ.checkClientInstalled(function(){
                    checkQQIsInstalled = 1;
                    return true;
                },function(){
                    $log.debug("未安装QQ客户端");
                    return false;
                });
            } else {
                $log.debug("QQ登录插件未加载！");
                return false;
            }
        }

        function isWeiboPluginLoaded(){
            if(window.cordova&&window.weibo){
                $log.debug("微博登录插件加载成功！");
                return true;
            } else {
                $log.debug("微博登录插件未加载！");
                return false;
            }   
        }

        function weiboLogin(){
            if(isWeiboPluginLoaded) {
                window.weibo.login(function (response) {
                    Log.error("微博登录成功");
                    Log.error(JSON.stringify(response));
                    doThirdLogin('weibo',response);
                }, function (reason) {
                    Log.error("微博登录失败");
                    Log.error(JSON.stringify(reason));
                });
            } 
        }

        function qqLogin() {
            if(isQQInstalled) {
                YCQQ.ssoLogin(function(response){
                    $log.debug("QQ登录成功");
                    $log.debug(JSON.stringify(response));
                    doThirdLogin('qq',response);
                },function(failReason){
                    Log.error("QQ登录失败");
                    Log.error(JSON.stringify(reason));
                },checkQQIsInstalled);
            }
        }

        return service;

    }
    OAuth.$inject = ["$http", "$q", "$localStorage", "$log", "$state", "ENV"];

})();

angular.module('kd.services')
	
	// // 第三方登录
	// .factory('OAuth', ['$q','$localstorage','$ionicLoading','$state','$http','$ionicHistory','ENV','Log',function($q,$localstorage,$ionicLoading,$state,$http,$ionicHistory,ENV,Log) {
	// 	var doThirdLogin = function (provider,oauthData) {
	//         // var loginData = {};
	//         oauthData.provider = provider;
	//         oauthData.platform = device.platform;
 //    		oauthData.model = device.model;
 //    		oauthData.version = device.version;
 //    		oauthData.cordova = device.cordova;

	//         $http.post(ENV.apiUrl + 'auth/oauth', oauthData)
 //            .success(function(data, status, headers, config) {
 //                if (data.code ===  0) {
 //                	var user = data.data;
 //                	$localstorage.clear('wdk_user');
 //                	$localstorage.clear('wdk_token');
 //                	$localstorage.clear('wdk_provider');
 //                	$ionicHistory.clearCache();
 //                    $localstorage.set('wdk_user', user);
 //                    $http.defaults.headers.common['X-API-TOKEN'] = user.token;
 //                    $localstorage.set('wdk_token', user.token);
 //                    $localstorage.set('wdk_provider',provider);
 //                    $ionicLoading.show({
	// 	                template: '登录成功',
	// 	                noBackdrop: true,
	// 	                duration: 2000
	// 	            });
	// 	            if (user.hasOwnProperty('email') && user.email) {
	// 	            	$state.go('app.home');
	// 	            } else {
	// 	            	$state.go('bind');
	// 	            }
 //                } else {
 //                    $ionicLoading.show({
	// 	                template: '登录失败'+data.msg,
	// 	                noBackdrop: true,
	// 	                duration: 2000
	// 	            });
 //                }
 //            })
 //            .error(function(data) {
 //                $ionicLoading.show({
	//                 template: '请求错误：'+data,
	//                 noBackdrop: true,
	//                 duration: 2000
	//             });
 //            });
	//     };

	// 	return {
	// 		weibo:function() {
	// 			if(window.cordova&&window.weibo) {
	// 				window.weibo.login(function (response) {
	// 	              	Log.error("微博登录成功");
	// 	            	Log.error(JSON.stringify(response));
	// 	              	doThirdLogin('weibo',response);
	// 	            }, function (reason) {
	// 	            	Log.error("微博登录失败");
	// 	            	Log.error(JSON.stringify(reason));
 //            		});
	// 			} else {
	// 				$ionicLoading.show({ template: '微博登录插件未加载', noBackdrop: true,duration:2000});
	// 			}
	// 		},
	// 		qq:function(checkQQIsInstalled) {
	// 			if(window.cordova&&YCQQ) {

 //    				YCQQ.ssoLogin(function(response){
	// 			       	Log.error("QQ登录成功");
	// 	            	Log.error(JSON.stringify(response));
	// 	              	doThirdLogin('qq',response);
	// 			    },function(failReason){
	// 			        Log.error("QQ登录失败");
	// 	            	Log.error(JSON.stringify(reason));
	// 			    },checkQQIsInstalled);
	// 			} else {
	// 				$ionicLoading.show({ template: 'QQ登录插件未加载', noBackdrop: true,duration:2000});
	// 			}
	// 		},
	// 	};
	// }])
    // 上传
	.factory('Upload', ['$q','$cordovaImagePicker','$cordovaFileTransfer','$localstorage','ENV','$ionicLoading','Log',function($q,$cordovaImagePicker,$cordovaFileTransfer,$localstorage,ENV,$ionicLoading,Log) {
	    return {
	        image: function() {
	        	var deferred = $q.defer();
	        	var options = {
			        maximumImagesCount: 1,
			        width: 800,
			        height: 800,
			        quality: 80
			    };
	            $cordovaImagePicker.getPictures(options)
    				.then(function (results) {
    					if(results.length>0) {
    						Log.info("图片路径："+results[0]);
    						plugins.crop.promise(results[0], options)
								.then(function success (newPath) {						
    						// $jrCrop.crop({
					     //        url: results[0],
					     //        width: 200,
					     //        height: 200
					     //    }).then(function(canvas) {
					        	$ionicLoading.show({ template: '图片上传中，请稍候', noBackdrop: true});
					            // var fileURL = canvas.toDataURL();
					            var fileURL = newPath;
					           	Log.info("裁剪后的图片路径："+fileURL);

					           	var options = new FileUploadOptions();
						      	options.fileKey="file";
						      	options.fileName=fileURL.substr(fileURL.lastIndexOf('/')+1);
						      	options.mimeType="image/jpeg";

							    var headers={'X-API-TOKEN':$localstorage.get('wdk_token'),'X-API-PLATFORM':ENV.platform};

							    options.headers = headers;

							    $cordovaFileTransfer.upload(encodeURI(ENV.apiUrl+'upload/image'), fileURL, options).then(function(result) {
						        	Log.info("上传成功");
					      			Log.info(result);
					      			result = JSON.parse(result.response);
						        	$ionicLoading.hide();
									if(result.code === 0) {
										deferred.resolve(result.data.src);
									} else {
										deferred.reject(result.msg);
									}
					      		}, function(err) {
					      			Log.error("上传图片错误：");
					      			Log.error(err);
					        		$ionicLoading.hide();
					        		deferred.reject(error);
					      		}, function (progress) {
					          		if (progress.lengthComputable) {
					            		loadingStatus.setPercentage(progress.loaded / progress.total);
					          		} else {
					            		loadingStatus.increment();
					          		}
					    		});
					        // }, function(error) {
					        // 	Log.error("裁剪图片错误：");
					        // 	Log.error(error);
					        //     deferred.reject(error);
					        // });
								}).catch(function fail (err) {

								});

    					}
    					
			    }, function(error) {
			      	deferred.reject(error);
			    });
    			return deferred.promise;
			}
	    };
	}]);
angular.module('kd.directives', [])

 .directive('compareTo', function() {
     return {
        require: "ngModel",
        scope: {
            otherModelValue: "=compareTo"
        },
        link: function(scope, element, attributes, ngModel) {
            
            ngModel.$validators.compareTo = function(modelValue) {
                return modelValue == scope.otherModelValue;
            };

            scope.$watch("otherModelValue", function() {
                ngModel.$validate();
            });
        }
    };
})

// .directive('fallbackSrc', function () {
//     return {
//         restrict: 'A',
//         link: function (scope, element, attr) {
//             // Listen for errors on the element and if there are any replace the source with the fallback source
//             var errorHanlder = function () {
//                 element.off('error', errorHanlder);
//                 var newSrc = window.location.href.split('#')[0]+'/'+attr.fallbackSrc;
//                 if (element[0].src !== newSrc) {
//                     element[0].src = newSrc;
//                 }
//             };
//             element.on('error', errorHanlder);
//         }
//     };
// })

.directive('fallbackSrc', function () {
   return {
        link: function(scope, element, attributes) {

            if (sourceIsEmpty()) {
                useFallbackSource();
            } else {
                listenForSourceLoadingError();
            }

            function sourceIsEmpty() {
                var originalSource = element.attr('src');
                return originalSource? false : true;
            }

            function useFallbackSource() {
                element.attr('src', attributes.fallbackSrc);
            }

            function listenForSourceLoadingError() {
                element.bind('error', function() {
                    useFallbackSouce();
                });
            }
        }
    };
})
;

angular.module('kd.directives', [])

.directive('headerShrink', ["$document", function($document) {
  var fadeAmt;

  var shrink = function(header, content, amt, max) {
    amt = Math.min(max, amt);
    fadeAmt = 1 - amt / max;
    ionic.requestAnimationFrame(function() {
      header.style[ionic.CSS.TRANSFORM] = 'translate3d(0, -' + amt + 'px, 0)';
      for(var i = 0, j = header.children.length; i < j; i++) {
        header.children[i].style.opacity = fadeAmt;
      }
    });
  };

  return {
    restrict: 'A',
    link: function($scope, $element, $attr) {
      var starty = $scope.$eval($attr.headerShrink) || 0;
      var shrinkAmt;

      var amt;

      var y = 0;
      var prevY = 0;
      var scrollDelay = 0.4;

      var fadeAmt;
      
      var header = $document[0].body.querySelector('.bar-header');
      var headerHeight = header.offsetHeight;
      
      function onScroll(e) {
        var scrollTop = e.detail.scrollTop;

        if(scrollTop >= 0) {
          y = Math.min(headerHeight / scrollDelay, Math.max(0, y + scrollTop - prevY));
        } else {
          y = 0;
        }
        console.log(scrollTop);

        ionic.requestAnimationFrame(function() {
          fadeAmt = 1 - (y / headerHeight);
          header.style[ionic.CSS.TRANSFORM] = 'translate3d(0, ' + -y + 'px, 0)';
          for(var i = 0, j = header.children.length; i < j; i++) {
            header.children[i].style.opacity = fadeAmt;
          }
        });

        prevY = scrollTop;
      }

      $element.bind('scroll', onScroll);
    }
  };
}]);

angular.module('kd.directives',[])

.directive('standardTimeNoMeridian', function() {
  return {
    restrict: 'AE',
    replace: true,
    scope: {
      etime: '=etime'
    },
    template: "<strong>{{stime}}</strong>",
    link: function(scope, elem, attrs) {

      scope.stime = epochParser(scope.etime, 'time');

      function prependZero(param) {
        if (String(param).length < 2) {
          return "0" + String(param);
        }
        return param;
      }

      function epochParser(val, opType) {
        if (val === null) {
          return "00:00";
        } else {
          if (opType === 'time') {
            var hours = parseInt(val / 3600);
            var minutes = (val / 60) % 60;

            return (prependZero(hours) + ":" + prependZero(minutes));
          }
        }
      }

      scope.$watch('etime', function(newValue, oldValue) {
        scope.stime = epochParser(scope.etime, 'time');
      });

    }
  };
});

angular.module('kd.filters', [])


.filter('parseUrl', function() {

  var replacePattern = /\b((http:\/\/|https:\/\/|ftp:\/\/|mailto:|news:)|www\.|ftp\.|[^ \,\;\:\!\)\(\""\'<>\f\n\r\t\v]+@)([^ \,\;\:\!\)\(\""\'<>\f\n\r\t\v]+)\b/gim;

  return function(text, target, otherProp) {
    var originText = text;
    if (text === undefined || text === "") {
      return "";
    } else {
      return text.replace(replacePattern, function($0, $1) {
        var match = $0;
        var protocol = $1;

        // if ((/^www\./i).test(match))
        // {
        //    return "<span onclick=\"window.open('http://" + match + "', '_system');\" class='link_url'>" + match + "</span>";
        // }
        // if ((/^ftp\./i).test(match))
        // {
        //    return "<span onclick=\"window.open('ftp://" + match + "', '_system');\" class='link_url'>" + match + "</span>";
        // }

        // if (protocol && protocol.charAt(0) === '@')
        // {
        //    return "<a href=\"mailto:" + match + "\">" + match + "</a>";
        // }

        return "<a href=\"" + match + "\"  target=\"_blank\" class='positive'><i class='ion-link'></i>网页链接</span>";
      });
    }
  };
})

.filter('trustHtml', ["$sce", function($sce) {

  return function(input) {

    return $sce.trustAsHtml(input);

  };

  }])

  .filter('isEmpty', function () {
        var bar;
        return function (obj) {
          return angular.equals({}, obj) || obj == null;
        };
    });

angular.module('kd.config', [])

// 定义环境
.constant('ENV',{
	"platform":"android",// 平台
	"debug":true,// 测试模式 
	"version":"0.0.5",// 版本
	// "apiUrl":"http://192.168.2.194/kd/public/api/",
	"apiUrl":"http://api.keepdays.com/api/",
})

// ionic模版
.constant('$ionicLoadingConfig', {
    template: '<ion-spinner icon="ios"></ion-spinner><br>努力加载中...'
});

angular.module('kd', ['ionic', 'templates','ngCordova','ngStorage', 'kd.config', 'kd.controllers', 'kd.services','kd.filters','kd.directives', 'angularMoment', 'ti-segmented-control', 'ui.bootstrap','ionic-timepicker','dateSlider'])

// ionic全局配置
.config(["$ionicConfigProvider", function($ionicConfigProvider) {
    $ionicConfigProvider.views.swipeBackEnabled(false);
    $ionicConfigProvider.tabs.position('bottom');
}])

// 定义可信任源
.config(['$compileProvider', function($compileProvider) {
    $compileProvider.imgSrcSanitizationWhitelist(/^\s*(https?|file|wxLocalResource|blob|cdvfile):|data:image\//);
}]) 

// 定义ngStorage
.config(['$localStorageProvider',function ($localStorageProvider) {
        // $localStorageProvider.setKeyPrefix('wdk');
}])

// 定义log
.config(["$logProvider", function($logProvider){
  $logProvider.debugEnabled(true);
}])

// 重写http方法
.config(["$httpProvider", "$windowProvider", "ENV", function($httpProvider, $windowProvider, ENV) {

    // $httpProvider.defaults.useXDomain = true;

    // delete $httpProvider.defaults.headers.common['X-Requested-With'];

    // $httpProvider.defaults.headers.common['X-API-TOKEN'] = $windowProvider.$get().localStorage.wdk_token;
    // $httpProvider.defaults.headers.common['X-API-PLATFORM'] = ENV.platform;

    // $httpProvider.interceptors.push('TrendicityInterceptor');

    // // Use x-www-form-urlencoded Content-Type
    // $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8';
    // /**
    //  * The workhorse; converts an object to x-www-form-urlencoded serialization.
    //  * @param {Object} obj
    //  * @return {String}
    //  */
    // var param = function(obj) {
    //     var query = '',
    //         name, value, fullSubName, subName, subValue, innerObj, i;

    //     for (name in obj) {
    //         value = obj[name];

    //         if (value instanceof Array) {
    //             for (i = 0; i < value.length; ++i) {
    //                 subValue = value[i];
    //                 fullSubName = name + '[' + i + ']';
    //                 innerObj = {};
    //                 innerObj[fullSubName] = subValue;
    //                 query += param(innerObj) + '&';
    //             }
    //         } else if (value instanceof Object) {
    //             for (subName in value) {
    //                 subValue = value[subName];
    //                 fullSubName = name + '[' + subName + ']';
    //                 innerObj = {};
    //                 innerObj[fullSubName] = subValue;
    //                 query += param(innerObj) + '&';
    //             }
    //         } else if (value !== undefined && value !== null) query += encodeURIComponent(name) + '=' + encodeURIComponent(value) + '&';
    //     }

    //     return query.length ? query.substr(0, query.length - 1) : query;
    // };

    // // Override $http service's default transformRequest
    // $httpProvider.defaults.transformRequest = [function(data) {
    //     return angular.isObject(data) && String(data) !== '[object File]' ? param(data) : data;
    // }];
}])

// 路由规则
.config(["$stateProvider", "$urlRouterProvider", function($stateProvider, $urlRouterProvider) {
    $stateProvider.state('init', {
        url: '/',
        templateUrl: 'templates/init.html',
        controller: 'InitController'
    }).state('bind', {
        url: '/bind',
        templateUrl: 'templates/bind.html',
        controller: 'BindCtrl'
    }).state('login', {
        url: '/login',
        templateUrl: 'templates/login.html',
        controller: 'LoginController as login'
    }).state('register', {
        url: '/register',
        templateUrl: 'templates/register.html',
        controller: 'RegisterController as register'
    }).state('app', {
        url: "/app",
        abstract: true,
        templateUrl: "templates/app.html",
        controller: 'AppCtrl'
    }).state('app.home', {
        url: "/home",
        views: {
            'home-tab': {
                templateUrl: "templates/home.html",
                controller: 'HomeController as home',
                controllerAs:'home'
            }
        }
    }).state('app.explore', {
        url: "/explore",
        views: {
            'explore-tab': {
                templateUrl: "templates/explore.html",
                controller: 'ExploreController as explore'
            }
        }
    }).state('app.top', {
        url: "/top",
        views: {
            'top-tab': {
                templateUrl: "templates/top.html",
                controller: 'TopController as top'
            }
        }
    }).state('app.my', {
        url: "/my",
        views: {
            'my-tab': {
                templateUrl: "templates/my.html",
                controller: 'MyController as my'
            }
        }
    }).state('goalevent', {
        url: "/goal/event/:goalId",
        templateUrl: 'templates/goal_event.html',
        controller: 'GoalEventCtrl'
    }).state('goallog', {
        url: "/goal/log/:goalId",
        templateUrl: 'templates/goal_log.html',
        controller: 'GoalLogCtrl'
    }).state('goaladd', {
        url: '/goal/add',
        templateUrl: 'templates/goal_add.html',
        controller: 'GoalAddController as goaladd'
    }).state('goaledit', {
        url: '/goal/edit/:goalId',
        templateUrl: 'templates/goal_add.html',
        controller: 'GoalAddCtrl'
    }).state('goalview', {
        url: '/goal/:goalId',
        templateUrl: 'templates/goal_view.html',
        controller: 'GoalViewController as goalview'
    }).state('goalsetting', {
        url: "/goal/setting/:goalId",
        templateUrl: "templates/goal_setting.html",
        controller: 'GoalSettingController as goalsetting'
    }).state('goaldata', {
        url: "/goal/data/:goalId",
        templateUrl: "templates/goal_data.html",
        controller: 'GoalDataCtrl'
    }).state('goaltop', {
        url: "/goal/top/:goalId",
        templateUrl: "templates/goal_top.html",
        controller: 'GoalTopCtrl'
    }).state('checkinadd', {
        url: '/checkin/add/:goalId',
        templateUrl: 'templates/checkin_add.html',
        controller: 'CheckinAddController as checkinadd'
    }).state('checkindetail', {
        url: "/checkin/detail/:checkinId",
        templateUrl: "templates/checkin_detail.html",
        controller: 'CheckinDetailCtrl'
    }).state('checkincomment', {
        url: "/checkin/comment/:checkinId",
        templateUrl: "templates/checkin_comment.html",
        controller: 'CheckinCommentCtrl'
    }).state('checkinshare', {
      url: "/checkinshare/:checkinId",
      templateUrl: "templates/checkin_share.html",
      controller: 'CheckinShareCtrl'
    }).state('userhome', {
        url: "/user/:userId",
        templateUrl: 'templates/user_home.html',
        controller: 'UserHomeController'
    }).state('setting', {
        url: "/setting",
        templateUrl: "templates/setting.html",
        controller: 'SettingCtrl'
    }).state('profile', {
        url: "/profile",
        templateUrl: "templates/profile.html",
        controller: 'ProfileCtrl'
    }).state('feedback', {
        url: "/feedback",
        templateUrl: "templates/feedback.html",
        controller: 'FeedbackCtrl'
    }).state('about', {
        url: "/about",
        templateUrl: "templates/about.html",
        controller: 'SettingCtrl'
    }).state('version', {
        url: "/version",
        templateUrl: "templates/version.html",
        controller: 'VersionCtrl'
    }).state('message', {
        url: "/message",
        templateUrl: "templates/message.html",
        controller: 'MessageController as message'
    });

    $urlRouterProvider.otherwise('/');
}])

// 拦截http请求
.config(["$httpProvider", "$windowProvider", function($httpProvider,$windowProvider) {
    $httpProvider.interceptors.push(['$q', '$location', '$rootScope','$localStorage', function($q, $location, $rootScope,$localStorage) {
        return {
            request: function(config) {
                config.headers = config.headers || {};
                config.headers.Authorization = 'Bearer ' +$localStorage.token;
                return config;
            },
            // optional method
            'requestError': function(rejection) {
                // $rootScope.$broadcast('loading:hide');
                return $q.reject(rejection);
            },
            response: function(response) {
                // $rootScope.$broadcast('loading:hide');
                return response;
            },
            // optional method
            'responseError': function(rejection) {
                // $rootScope.$broadcast('loading:hide')
                if (rejection.status === 400 || rejection.status === 401 || rejection.status === 403) {
                    // $ionicLoading.show({template: '无权限访问', noBackdrop: true, duration: 2000 });
                    delete $localStorage.token;
                    $location.path('/');
                }
                return $q.reject(rejection);
            }
        };
    }]);
}])

// momonet 设置
.run(["amMoment", function(amMoment) {
    amMoment.changeLocale('zh-cn');
}])

// 启动初始化
.run(["$ionicPlatform", function($ionicPlatform) {
    window.BOOTSTRAP_OK = true;

    $ionicPlatform.ready(function() {
        // 隐藏启动页
        if (navigator.splashscreen) {
            navigator.splashscreen.hide();
        }

        if(window.cordova&&window.plugins) {
             // 初始化jpush
            if (window.plugins.jPushPlugin) {
                window.plugins.jPushPlugin.init();
                window.plugins.jPushPlugin.setDebugMode(true);
            }

            if(window.weibo) {
                // 初始化微博
                window.weibo.init(1114202144, 'http://www.keepdays.com',function(data){
                    console.log("微博初始化成功");
                    console.log(data);
                },function(error){
                    console.log("微博初始化失败");
                    console.log(error);
                });   
            }
        }
    });
    
}])

.run(['$rootScope','$state','Auth','$localstorage',function ($rootScope, $state, Auth,$localstorage) {
    // 判断登录状态
    $rootScope.$on('$stateChangeStart', function (event,toState, toParams, fromState, fromParams) {
        // 排除这几个页面
        if(toState.name == 'init' || toState.name == 'login' || toState.name == 'reg') {
            //return;
        }

        // if (!Auth.isLogin()) {
        //     console.log('%c 用户未登录,跳转到登录界面','color:red');
        //     $state.go('init');
        //     event.preventDefault();
        //     return;
        // }
    });
}])

// 好像暂时没用
// .run(function($rootScope, $ionicLoading) {
//     $rootScope.$on('loading:show', function() {
//         $ionicLoading.show({
//             template: '<ion-spinner icon="ios"></ion-spinner><br>努力加载中...'
//         })
//     })

//     $rootScope.$on('loading:hide', function() {
//         $ionicLoading.hide()
//     })
// })
;

angular.module("templates", []).run(["$templateCache", function($templateCache) {$templateCache.put("templates/about.html","<ion-view title=\"关于我们\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/setting\"></a>\n		<div class=\"title\">关于</div>\n	</ion-header-bar>\n	<ion-content class=\"padding\" style=\"margin-top:100px;\">\n		<center>\n			<p>keepdays是一个关于目标跟踪和习惯培养的社区，我们希望通过微打卡这款工具能够帮助大家记录，分享，进步，欢迎持续关注我们。</p>\n			<p>官网：<a href=\"http://www.keepdays.com\" target=\"_blank\">http://www.keepdays.com</a></p>\n			<p>微博: <a href=\"http://www.weibo.com/keepdays\" target=\"_blank\">@keepdays</a></p>\n			<p>微信：keepdays</p>\n			<p>qq群：7852084</p>\n		</center>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/bind.html","<ion-view title=\"绑定账户\">\n    <ion-header-bar class=\"bar-positive\">\n        <div class=\"title\">绑定账户</div>\n    </ion-header-bar>\n    <ion-content>\n        <form name=\"bindForm\">\n            <div class=\"list list-inset\">\n                <div class=\"item item-toggle\">\n                     是否注册过账户\n                     <label class=\"toggle toggle-positive\">\n                       <input type=\"checkbox\" ng-model=\"user.type\">\n                       <div class=\"track\">\n                         <div class=\"handle\"></div>\n                       </div>\n                     </label>\n                </div>\n\n                <label class=\"item item-input\">\n                    <input type=\"email\" name=\"email\" ng-model=\"user.email\" placeholder=\"邮箱\" required>\n                    <div class=\"error\" ng-if=\"bindForm.email.$touched && bindForm.email.$dirty && bindForm.email.$invalid\">\n                        <small class=\"error\" ng-if=\"bindForm.email.$error.required\">\n                            邮箱不能为空\n                        </small>\n                        <small class=\"error\" ng-if=\"bindForm.email.$error.email\">\n                            邮箱格式不正确\n                        </small>\n                    </div>\n                </label>\n               \n                <label class=\"item item-input\">\n                    <input type=\"password\" name=\"password\" ng-model=\"user.password\" placeholder=\"密码\" required>\n                     <div class=\"error\" ng-if=\"bindForm.password.$touched && bindForm.password.$dirty && bindForm.password.$invalid\">\n                        <small class=\"error\" ng-if=\"bindForm.password.$error.required\">\n                            密码不能为空\n                        </small>\n                    </div>\n                </label>               \n            </div>\n            <div class=\"padding\">\n                <button ng-click=\"doBind()\" ng-disabled=\"bindForm.$invalid\" type=\"submit\" class=\"button button-block button-positive\">立即绑定</button>\n                <a href=\"#/app/home\" class=\"button button-block button-default\">跳过该步骤</a>\n            </div>   \n        </form>\n    </ion-content>\n</ion-view>");
$templateCache.put("templates/checkin_add.html","<ion-view title=\"打卡\">\n	<ion-header-bar class=\"bar-positive\">\n      <a class=\"button button-icon button-clear ion-ios-arrow-back\" href=\"#/goal/{{checkinadd.checkin.goal_id}}\"></a>\n      <div class=\"title\">打卡</div>\n  	</ion-header-bar>\n	<ion-content class=\"\">\n		<div class=\"list\">\n		    <label class=\"item item-input\" ng-repeat=\"item in checkinadd.items\" ng-if=\"checkinadd.items.length\">\n		    	<span class=\"input-label\">{{item.item_name}}:</span>\n		    	<input type=\"text\" ng-model=\"item.item_expect\">\n		    	<span class=\"input-label\">{{item.item_unit}}</span>\n			</label>\n			<div class=\"item item-divider\"></div>\n 			<label class=\"item-input\">\n		        <textarea rows=\"5\" cols=\"50\" ng-model=\"checkinadd.checkin.content\" placeholder=\"请写下今天行动或感想...\"></textarea>\n		    </label>\n		    <label class=\"item item-input\">\n		        <button id=\"upload-image-btn\" class=\"button button-icon icon ion-image\" ng-click=\"checkinadd.doUpload()\"></button>\n			</label>\n		   <!--  <div class=\"item\" ng-if=\"checkin.image\">\n		    	<img ng-src=\"{{checkinadd.checkin.image}}\" class=\"full-image\" id=\"upload-image\"/>\n		    </div> -->\n<!-- 		    <a class=\"item item-divider\"></a>\n -->\n		     <li class=\"item item-toggle\">\n			     补打卡\n			     <label class=\"toggle toggle-positive\">\n			       <input type=\"checkbox\" ng-model=\"checkinadd.checkin.type\">\n			       <div class=\"track\">\n			         <div class=\"handle\"></div>\n			       </div>\n			     </label>\n			 </li>\n			 <label class=\"item item-input item-select\" ng-show=\"checkinadd.checkin.type\">\n			    <div class=\"input-label\">\n			      日期\n			    </div>\n			    <select ng-model=\"checkinadd.checkin.day\">\n			      <option ng-selected=\"true\" value=\"{{checkinadd.day1}}\">{{checkinadd.day1}}</option>\n			      <option value=\"{{checkinadd.day2}}\">{{checkinadd.day2}}</option>\n			      <option value=\"{{checkinadd.day3}}\">{{checkinadd.day3}}</option>\n			    </select>\n			  </label>\n		</div>\n\n		<div class=\"padding\">\n			<button class=\"button button-block button-positive\" ng-click=\"checkinadd.doCheckin()\">打卡</button>\n		</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/checkin_comment.html","<ion-view title=\"评论\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/checkin/detail/{{checkinId}}\"></a>\n		<div class=\"title\">评论</div>\n	</ion-header-bar>\n	<ion-content class=\"has-header\">\n		<div class=\"list\">\n		    <label class=\"item-input\">\n		        <textarea rows=\"10\" cols=\"50\" placeholder=\"写下你的评论...\" ng-model=\"comment.content\"></textarea>\n		    </label>\n		</div>\n		<div class=\"padding\">\n        	<button class=\"button button-block button-positive\" ng-click=\"doComment()\" ng-disabled=\"!comment.content.length\">提交</button>\n      	</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/checkin_detail.html","<ion-view title=\"打卡详情\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" ng-click=\"goBack()\"></a>\n		<div class=\"title\">打卡详情</div>\n	</ion-header-bar>\n	<ion-content>\n		<div class=\"list card\">\n		  <a class=\"item item-avatar item-button-right\" href=\"#/user/{{checkin.user_id}}\">\n		    <img ng-src=\"{{checkin.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		    <h2>{{checkin.nickname}}</h2>\n	    	<p>{{checkin.checkin_day}}</p>\n	    	<button class=\"button button-positive button-outline\">\n      			第{{checkin.total_days}}天\n    		</button>\n		  </a>\n\n		  	<div class=\"item item-body\">\n 				<p ng-if=\"checkin.items.length>0\" ng-repeat=\"item in checkin.items\">\n 					<input type=\"checkbox\" checked=\"checked\" disabled=\"disabled\">{{item.item_name}} {{item.item_value}} {{item.item_unit}}\n 				</p>\n 				<p>\n		      		{{checkin.checkin_content}}\n		    	</p>\n		   		<blockquote ng-if=\"checkin.checkin_remark\" ng-bind-html=\"checkin.checkin_remark | parseUrl\">\n		     	</blockquote>\n		     	<p ng-if=\"checkin.tags.length>0\" class=\"padding-top\">\n      				<a href=\"#/tag/{{tag.tag_id}}\" class=\"positive tag\" ng-repeat=\"tag in checkin.tags\">#{{tag.tag_name}}#</a>\n    			</p>\n		  	</div>	 \n		 </div>\n\n		 <div class=\"list\">\n		 	 <div class=\"item item-divider\">\n			    评论列表\n			  </div>\n		    <a class=\"item item-avatar\" ng-repeat=\"comment in comments\">\n		      <img ng-src=\"{{comment.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		      <h2>{{comment.nickname}}</h2>\n		      <p am-time-ago=\"{{comment.create_time}}\" am-preprocess=\"unix\"></p>\n		      <p>{{comment.comment_content}}</p>\n		    </a>\n		    <div class=\"item\" ng-if=\"comments.length == 0\">\n		    	暂无评论\n		    </div>\n		</div>\n		\n	</ion-content>\n	<div class=\"bar bar-footer\">\n	  <div class=\"button-bar\">\n		  <a class=\"button icon-left ion-ios-heart-outline\" ng-class=\"{\'active\' : checkin.is_like}\"  ng-click=\"doLike()\">\n		  	赞 {{checkin.like_num}} </a>\n		  <a class=\"button icon-left ion-ios-chatbubble-outline\" href=\"#/checkin/comment/{{checkinId}}\">\n		  	评论 {{checkin.comment_num}} \n		  </a>\n		  <a class=\"button icon-left ion-ios-redo-outline\" ng-click=\"shareCheckin()\">\n		  分享</a>\n		</div>\n	</div>\n</ion-view>");
$templateCache.put("templates/checkin_succ_modal.html","<ion-view title=\"打卡成功\" hide-nav-bar=\"true\">\n<ion-content class=\"\" style=\"padding-top:100px;\">\n	<center>\n		<h3>\n			打卡成功，正能量 ＋<span class=\"num\">{{response.energy}}</span>\n		</h3>\n	</center>\n	<center class=\"padding\">截至今日，你已经在<span class=\"positive\">#{{response.goal.goal_name}}#</span>项目</center>\n	<div class=\"row padding center\">\n	  	<div class=\"col\">\n	  		<strong class=\"num\">{{response.goal.series_days}}</strong>\n	  		<br>连续天数\n	  	</div>\n	  	<div class=\"col\">\n	  		<strong class=\"num\">{{response.goal.total_days}}</strong>\n	  		<br>总天数\n	  	</div>\n	  	<div class=\"col\">\n	  		<strong class=\"num\">{{response.goal.energy}}</strong>\n	  		<br>正能量\n	  	</div>\n	</div>\n	<div class=\"padding\">\n		<center>\n		<div class=\"button button-assertive\" ng-click=\"doShare()\">\n			分享好友\n		</div>\n		<div class=\"button\" ng-click=\"cancelShare()\">\n			低调路过\n		</div>\n		</center>\n	</div>\n	<div class=\"footer\" style=\"margin-top:50px;\" ng-if=\"response.users.length\">\n		<div class=\"list\">\n			<div class=\"item-divider center\">这些小伙伴们也刚刚完成了该项目：</div>\n			<a class=\"item item-icon-right avatar\" href=\"#/goal\n			/events/{{response.goal.goal_id}}\">\n				<img ng-src=\"{{user.user_avatar}}\" fallback-src=\"img/default.jpg\" ng-repeat=\"user in response.users\">\n				<i class=\"icon ion-ios-arrow-right\"></i>\n			</a>\n			<ion-checkbox ng-model=\"filter.blue\" checkbox-positive>一键点赞</ion-checkbox>\n		</div>\n	</div>\n</ion-content>\n	\n</ion-view>");
$templateCache.put("templates/day.html","");
$templateCache.put("templates/explore.html","<ion-view hide-nav-bar=\"true\">\n	<ion-header-bar align-title=\"center\">\n		<a class=\"button button-icon positive icon ion-ios-arrow-left butoon-clear\" href=\"#/app/home\"></a> \n		<div class=\"title padding-top\">\n			发现\n			<!-- <ti-segmented-control on-select=\"explore.getEvents($index)\" style=\"width: 200px;margin:0 auto;\">\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'最新\'\" selected></ti-segmented-control-button>\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'最热\'\"></ti-segmented-control-button>\n			</ti-segmented-control> -->\n		</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n		<ion-refresher\n	    	pulling-text=\"下拉刷新...\"\n	    	on-refresh=\"explore.doRefresh()\">\n		</ion-refresher>\n		\n		<div class=\"list card\" ng-repeat=\"event in explore.events\">\n		  <a class=\"item item-avatar item-button-right\">\n		    <img ng-src=\"{{event.user.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		    <h2>{{event.user.nickname.length>0?event.user.nickname:\'keeper\'+event.user_id}}</h2>\n		    <p><span class=\"\">#{{event.goal.goal_name}}#</span><span class=\"positive\" style=\"font-size:2em;\">{{event.checkin.total_days}}</span>天</p>\n		    <button class=\"button button-small button-clear\">\n	      		<span am-time-ago=\"{{event.create_time}}\" am-preprocess=\"unix\"></span>\n	    	</button>\n		  </a>\n\n		  <div class=\"item item-body\">\n		  	<a >\n		  		<!--  <img class=\"full-image\" ng-src=\"http://img2.imgtn.bdimg.com/it/u=1544289824,2086116402&fm=21&gp=0.jpg\"> -->\n<!-- 		    <img class=\"full-image\" ng-src=\"{{\'http://localhost/web/uploads/\'+event.attachs[0].attach_path+\'/\'+event.attachs[0].attach_name}}\" >\n -->		    \n	 			<p>\n		     	{{event.checkin.checkin_content}}\n		    	</p>\n		    	<blockquote ng-if=\"event.items.length>0\">\n		    		<p ng-repeat=\"item in event.items\">\n		    			{{item.item_name}} {{item.pivot.item_value}} {{item.item_unit}}</span>\n		    		</p>\n		     	</blockquote>\n		   	</a>\n		  </div>\n		  <!--  <a class=\"item item-icon-left\" ng-if=\"event.items.length>0\" ng-repeat=\"item in event.items\">\n		   		<i class=\"icon ion-ios-checkmark-outline\"></i>\n		      {{item.item_name}}<span class=\"pull-right\">{{item.povit.item_value}} {{item.item_unit}}</span>\n		    </a> -->\n		<!--   <div class=\"item tabs tabs-secondary tabs-icon-left\">\n		    <a class=\"tab-item\" href=\"javascript:void(0);\" ng-click=\"explore.doLike(event)\">\n		      <i class=\"icon\" ng-class=\"{\'assertive\':event.is_like,\'ion-ios-heart-outline\':!event.is_like,\'ion-ios-heart\':event.is_like}\"></i>\n		      {{event.checkin.like_num}}\n		    </a>\n		    <a class=\"tab-item\" href=\"#/checkin/detail/{{event.checkin_id}}\">\n		      <i class=\"icon ion-ios-chatbubble-outline\"></i>\n		      {{event.checkin.comment_num}}\n		    </a>\n		    <a class=\"tab-item\" ng-click=\"explore.checkinMore(event.checkin_id)\">\n		      <i class=\"icon ion-ios-more-outline\"></i>\n		    </a>\n		  </div> -->\n		</div>\n\n		 <ion-infinite-scroll\n		    on-infinite=\"explore.loadMore()\"\n		    distance=\"1%\" >\n		    显示更多\n		</ion-infinite-scroll>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/feedback.html","<ion-view title=\"意见反馈\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/setting\"></a>\n		<div class=\"title\">反馈</div>\n	</ion-header-bar>\n	<ion-content>\n		<div class=\"list\">\n		    <label class=\"item-input\">\n		        <textarea rows=\"10\" cols=\"50\" placeholder=\"你的想法或者建议对我们很有帮助，欢迎随时提交...\" ng-model=\"feedback.content\"></textarea>\n		    </label>\n		</div>\n		<div class=\"padding\">\n        	<button class=\"button button-block button-positive\" ng-click=\"doFeedback()\" ng-disabled=\"!feedback.content.length\" >提交</button>\n      	</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/goal_add.html","<ion-view title=\"新增目标\">\n  	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-clear icon ion-ios-arrow-left\" href=\"#/app/home\"></a>\n		<div class=\"title\">新增目标</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n	<div class=\"list\">\n		  <label class=\"item item-input\">\n		    <span class=\"input-label\">名称</span>\n		    <input type=\"text\" placeholder=\"例如：跑步\" ng-model=\"goaladd.goal.name\">\n		  </label>\n		  <label class=\"item item-input\">\n		    <span class=\"input-label\">天数</span>\n		    <input type=\"text\" placeholder=\"留空表示不限制\" ng-model=\"goaladd.goal.days\">\n		  </label>\n		<!--   <label class=\"item item-input item-select\">\n		    <div class=\"input-label\">\n		      频率\n		    </div>\n		    <select>\n		      <option>每天</option>\n		      <option selected>每周</option>\n		      <option>每月</option>\n		    </select>\n		  </label> -->\n		<div class=\"item item-divider\" style=\"line-height:30px;\">\n		  		统计项目(非必填)\n		  		<i class=\"right icon ion-ios-plus\" style=\"font-size:28px;\" ng-click=\"goaladd.itemAdd()\"></i>\n		</div>\n		  <div class=\"item item-button-right\" ng-repeat=\"item in goaladd.items\">\n		  		{{item.item_name}}: <strong class=\"positive num\">{{item.item_expect}}</strong> {{item.item_unit}}\n		  		<div class=\"buttons\">\n                    <button class=\"button button-clear\" ng-click=\"goaladd.doEditItem(item)\">\n                        <i class=\"icon ion-edit\" ></i>\n                    </button>\n                    <button class=\"button button-clear\" ng-click=\"goaladd.doDelItem(item)\">\n                        <i class=\"icon ion-trash-a\"></i>\n                    </button>\n                </div>\n            </div>\n		</div>\n	<div class=\"padding\">\n		<button class=\"button button-block button-positive\" ng-click=\"goaladd.doSaveGoal()\">保存</button>\n	</div>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/goal_data.html","<ion-view title=\"统计\">\n	 <ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/goal/{{goalId}}\"></a>\n		<div class=\"title\">统计</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n		<div class=\"padding-top\">\n			<ti-segmented-control on-select=\"showChart($index)\" style=\"width: 200px;margin:0 auto;\">\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'周\'\" selected></ti-segmented-control-button>\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'月\'\"></ti-segmented-control-button>\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'年\'\"></ti-segmented-control-button>\n			</ti-segmented-control>\n		</div>\n		<div id=\"c3chart\" ng-init=\"showChart(0)\"></div>\n		<!-- <c3chart bindto-id=\"chart1\">\n		<chart-column column-id=\"x\"\n          column-values=\"{{count.x}}\"/>\n    	<chart-column column-id=\"data1\"\n    				column-name=\"打卡次数\"\n    			  column-color=\"#0c9\" \n                  column-values=\"count.y\"\n                  column-type=\"bar\"/>  \n        <chart-axes values-x=\"x\" y=\"data1\"/>\n    	<chart-axis>\n		    <chart-axis-x axis-position=\"outer-center\"\n		                  axis-type=\"category\">\n		      </chart-axis-x>\n		</chart-axis>\n		</c3chart> -->\n    </ion-content>\n</ion-view>\n\n\n\n\n\n");
$templateCache.put("templates/goal_event.html","<ion-view title=\"主页\">\n 	<ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/goal/{{goalId}}\"></a>\n		<div class=\"title\">动态</div>\n	</ion-header-bar>\n<ion-content>\n	<ion-refresher\n	    pulling-text=\"下拉刷新...\"\n	    on-refresh=\"doRefresh()\">\n	</ion-refresher>\n\n	<div class=\"list card\" ng-if=\"!events.length\">\n      <div class=\"row\">\n        <div class=\"col\"><center>暂时还没有动态</center></div>\n      </div>\n    </div>\n\n	<div class=\"list card\" ng-repeat=\"event in events\" ng-if=\"events.length>0\">\n	  <a class=\"item item-avatar item-button-right\" href=\"#/user/{{event.user_id}}\">\n	    <img ng-src=\"{{event.user_avatar}}\" fallback-src=\"img/default.jpg\">\n	    <h2>{{event.nickname.length > 0?event.nickname:\'keeper\'+event.user_id}}</h2>\n	    <p><span am-time-ago=\"{{event.create_time}}\" am-preprocess=\"unix\"></span></p>\n	    <button class=\"button button-positive button-outline\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n      		第{{event.checkin.total_days}}天\n    	</button>\n	  </a>\n\n	  <div class=\"item item-body\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n	  	<a href=\"#/checkin/detail/{{event.checkin.checkin_id}}\">\n	     	<p>\n	     	{{event.checkin.checkin_content}}\n	     	</p>\n	     	<blockquote ng-if=\"event.checkin.checkin_remark\" ng-bind-html=\"event.checkin.checkin_remark | parseUrl\">		\n     		</blockquote>\n	   	</a>\n\n	   	 <p ng-if=\"event.checkin.tags.length>0\" class=\"padding-top\">\n      		<a href=\"#/tag/{{tag.tag_id}}\" class=\"positive tag\" ng-repeat=\"tag in event.checkin.tags\">#{{tag.tag_name}}#</a>\n    	</p>\n	  </div>\n\n	  <div class=\"item item-body\" ng-if=\"event.event_type !=\'USER_CHECKIN\'\">\n	    <p>\n	     	{{event.event_content}}\n	    </p>\n	  </div>\n\n	  <div class=\"item tabs tabs-secondary tabs-icon-left\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n	    <a class=\"tab-item\"  href=\"javascript:void(0);\" ng-click=\"doLike(event)\">\n	      <i class=\"icon\" ng-class=\"{\'assertive\':event.is_like,\'ion-ios-heart-outline\':!event.is_like,\'ion-ios-heart\':event.is_like}\"></i>\n	      {{event.checkin.like_num}}\n	    </a>\n	    <a class=\"tab-item\" href=\"#/checkin/detail/{{event.checkin.checkin_id}}\">\n	      <i class=\"icon ion-ios-chatbubble-outline\"></i>\n	      {{event.checkin.comment_num}}\n	    </a>\n	    <a class=\"tab-item\" ng-click=\"checkinMore(event.checkin.checkin_id)\">\n	      <i class=\"icon ion-ios-more-outline\"></i>\n	    </a>\n	  </div>\n	</div>\n\n	 <ion-infinite-scroll\n		    on-infinite=\"loadMore()\"\n		    distance=\"1%\">\n		    显示更多\n	</ion-infinite-scroll>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/goal_log.html","<ion-view title=\"日志\">\n 	<ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/home\"></a>\n		<div class=\"title\">日志</div>\n	</ion-header-bar>\n	<ion-content class=\"padding\">\n		<div class=\"responsive-calendar\">\n	        <div class=\"controls\">\n	            <a class=\"pull-left\" data-go=\"prev\"><div class=\"btn btn-icon\"><i class=\"ion-ios-arrow-back positive\"></i></div></a>\n	            <h4><span data-head-year></span> <span data-head-month></span></h4>\n	            <a class=\"pull-right\" data-go=\"next\"><div class=\"btn btn-icon\"><i class=\"ion-ios-arrow-forward positive\"></i></div></a>\n	        </div><hr/>\n	        <div class=\"day-headers\">\n	          <div class=\"day header\">一</div>\n	          <div class=\"day header\">二</div>\n	          <div class=\"day header\">三</div>\n	          <div class=\"day header\">四</div>\n	          <div class=\"day header\">五</div>\n	          <div class=\"day header\">六</div>\n	          <div class=\"day header\">日</div>\n	        </div>\n	        <div class=\"days\" data-group=\"days\">\n	          \n	        </div>\n	  </div>\n\n		<!-- <div class=\"timeline\">\n\n	    	<h2 ng-repeat-start=\"event in events\">Day {{event.checkin.total_days}}</h2>\n	    	<ul ng-repeat-end>\n		      <li>\n		        <p>{{event.checkin.checkin_content}}</p>\n		        <time>{{event.checkin.checkin_day}}</time>\n		        <a class=\"right\" style=\"float:right;\" href=\"#/checkin/detail/{{event.checkin.checkin_id}}\">详情>></a>\n		      </li>\n		    </ul>\n	    \n	    </div> -->\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/goal_setting.html","<ion-view title=\"设置\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-clear icon ion-ios-arrow-left\" href=\"#/goal/{{goalsetting.goalId}}\"></a>\n		<div class=\"title\">设置</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n<!-- 		<div class=\"item item-divider\">基本信息</div>\n -->			<!-- <ul class=\"list\">\n				<li class=\"item item-icon-right\" href=\"\">\n					早起\n					<i class=\"icon ion-ios-arrow-right\"></i>\n				</li>\n			</ul> -->\n		<div class=\"item item-divider\">设置</div>\n		<ul class=\"list\">\n			<!-- <li class=\"item item-toggle\">\n		     开启日历\n		     <label class=\"toggle toggle-positive\">\n		       <input type=\"checkbox\">\n		       <div class=\"track\">\n		         <div class=\"handle\"></div>\n		       </div>\n		     </label>\n		  	</li>\n		  	<li class=\"item item-toggle\">\n		     开启统计项\n		     <label class=\"toggle toggle-positive\">\n		       <input type=\"checkbox\">\n		       <div class=\"track\">\n		         <div class=\"handle\"></div>\n		       </div>\n		     </label>\n		  	</li> -->\n		  	<ionic-timepicker input-obj=\"goalsetting.timePickerObject\">\n\n		  	<li class=\"item item-icon-right\">\n		     提醒时间\n		     <span class=\"pull-right\"><standard-time-no-meridian etime=\'goalsetting.timePickerObject.inputEpochTime\'></standard-time-no-meridian></span>\n		     <i class=\"icon ion-ios-arrow-right\"></i>\n		  	</li>\n		  	</ionic-timepicker>\n\n		  	<!-- <li class=\"item\">\n		  		 <uib-timepicker ng-model=\"remind_time\" ng-change=\"setTime()\" hour-step=\"1\" minute-step=\"30\" show-meridian=\"false\"></uib-timepicker>\n		  	</li> -->\n		  	<!-- <ionic-timepicker input-obj=\"goalsetting.timePickerObject\">\n			  <button class=\"button button-block button-positive overflowShow\">\n			    <standard-time-meridian etime=\'goalsetting.timePickerObject.inputEpochTime\'></standard-time-meridian>\n			  </button>\n			</ionic-timepicker> -->\n		</ul>\n		<div class=\"padding\">\n			<button class=\"button button-block button-outline button-assertive\" ng-click=\"goalsetting.delGoal()\">删除项目</button>\n		</div>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/goal_top.html","<ion-view title=\"目标排名\">\n	 <ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/goal/{{goalId}}\"></a>\n		<div class=\"title\">目标排名</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n		<div class=\"list padding-top\">	\n			<a class=\"item item-thumbnail-left item-icon-right\" ng-repeat=\"user in users\" href=\"#/user/{{user.user_id}}\">\n		        	<img ng-src=\"{{user.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		        	<h2>{{user.nickname.length > 0?user.nickname:\'keeper\'+user.user_id}}</h2>\n		        	<p>正能量：{{user.energy}}</p>\n		        	<p>打卡天数：{{user.total_days}}</p>\n		        	<p>开始时间：{{user.start_time*1000 | date:\"yyyy/MM/dd\"}}</p>\n		          <span class=\"badge\" ng-class=\"getClass({{$index + 1}})\">No.{{$index + 1}}</span>\n		      </a>\n		 </div>\n		 <ion-infinite-scroll\n		    on-infinite=\"loadMore()\"\n		    distance=\"1%\">\n		    显示更多\n		</ion-infinite-scroll>\n    </ion-content>\n</ion-view>");
$templateCache.put("templates/goal_view.html","<ion-view title=\"{{goalview.goal.goal_name}}\">\n  <ion-header-bar class=\"bar-positive\">\n      <a class=\"button button-icon button-clear ion-ios-arrow-back\" href=\"#/app/home\"></a>\n      <div class=\"title\">{{goalview.goal.goal_name}}</div>\n      <a class=\"button button-icon button-clear ion-gear-b\" href=\"#/goal/setting/{{goalview.goal.goal_id}}\"></a>\n   <!--  	<a class=\"button button-icon button-clear ion-ios-gear-outline\" href=\"#/app/goal/setting/{{goal.goal_id}}\"></a> -->\n  </ion-header-bar>\n<ion-content>\n  <!-- <div class=\"row\">\n    <span class=\"pull-right\">剩余 3 天</span>\n  </div> -->\n\n  \n  <div class=\"row\" style=\"height: 180px;\">\n    <a class=\"check\" ng-class=\"{\'active\':goalview.goal.is_today_checkin}\" href=\"#/checkin/add/{{goalview.goal.goal_id}}\">\n      <svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" preserveAspectRatio=\"xMidYMid\" width=\"61\" height=\"52\" viewBox=\"0 0 61 52\" class=\"check-icon\">\n        <path d=\"M56.560,-0.010 C37.498,10.892 26.831,26.198 20.617,33.101 C20.617,33.101 5.398,23.373 5.398,23.373 C5.398,23.373 0.010,29.051 0.010,29.051 C0.010,29.051 24.973,51.981 24.973,51.981 C29.501,41.166 42.502,21.583 60.003,6.565 C60.003,6.565 56.560,-0.010 56.560,-0.010 Z\" id=\"path-1\" class=\"cls-2\" fill-rule=\"evenodd\"/>\n      </svg>\n    </a>\n  </div>\n	\n  <div class=\"row center\">\n		  	<div class=\"col card\"><strong class=\"num\">{{goalview.goal.pivot.expect_days}}</strong><br>目标天数</div>\n		  	<div class=\"col card\"><strong class=\"num\">{{goalview.goal.pivot.total_days}}</strong><br>完成天数</div>\n		  	<div class=\"col card\"><strong class=\"num\">{{goalview.goal.pivot.total_days*100/goalview.goal.pivot.expect_days | number:2}}%</strong><br>完成率</div>\n	</div>\n\n  <div class=\"card\">\n      <data-date-slider-picker on-select-date=\"goalview.setDate\" total-days=\"30\" date-select-var=\"goalview.today\">\n      </data-date-slider-picker>\n  </div>\n\n  <div class=\"list\" ng-if=\"!(goalview.checkin | isEmpty)\">\n\n    <div class=\"item item-divider\" >\n    {{goalview.selectedDay}} <span class=\"pull-right\">第 {{goalview.checkin.total_days}} 天</span>\n    </div>\n\n    <a class=\"item\" >\n      <p>{{goalview.checkin.checkin_content}}</p>\n      <blockquote ng-if=\"goalview.checkin.items.length>0\">\n        <p ng-repeat=\"item in goalview.checkin.items\">{{item.item_name}} {{item.item_value}} {{item.item_unit}}</p>\n      </blockquote>\n    </a>\n    <!-- <a class=\"item\">\n      跑步<span class=\"pull-right\">30 公里</span>\n    </a>\n    <a class=\"item\">\n      跳绳<span class=\"pull-right\">4932 个</span>\n    </a>\n    <a class=\"item\">\n      俯卧撑<span class=\"pull-right\">124 个</span>\n    </a> -->\n  </div>\n  <div class=\"list\" ng-if=\"goalview.checkin | isEmpty\">\n    <div class=\"item item-divider\">\n      {{goalview.selectedDay}}\n    </div>\n\n    <a class=\"item\" >\n      <p>未发现打卡记录</p>\n    </a>\n   \n  </div>\n	\n</ion-content>\n</ion-view>");
$templateCache.put("templates/group_all.html","<ion-view title=\"全部小组\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/home\"></a>\n		<div class=\"title\">全部小组</div>\n		<a class=\"button button-clear icon ion-android-add\" href=\"#/group/create\"></a>\n	</ion-header-bar>\n	<ion-content>\n		<div class=\"bar bar-header item-input-inset\">\n			  <label class=\"item-input-wrapper\">\n			    <i class=\"icon ion-search placeholder-icon\"></i>\n			    <input type=\"search\" placeholder=\"搜索小组\" ng-model=\"search.text\">\n			    <i ng-if=\"search.text.length > 0\" ng-click=\"clearSearch()\" class=\"icon ion-close\"></i>\n			  </label>\n	  	</div>\n		<div class=\"list\">\n		    <a class=\"item item-avatar item-button-right\" href=\"#/group/{{group.group_id}}\" ng-repeat=\"group in groups | filter:search.text\">\n			      	<img ng-src=\"{{group.group_avatar}}\" fallback-src=\"img/default.jpg\">\n			      	<h2>{{group.group_name}}</h2>\n			     	<p>创建时间：{{group.create_time*1000 | date:\"yyyy-MM-dd\"}}</p>\n			     	<p>小组人数：{{group.member_nums}}</p>\n		       	<button class=\"button button-positive button-outline button-small\" ng-click=\"doJoin($event,{{group.group_id}})\">\n      				加入\n    			</button>\n		    </a>\n		</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/home.html","<ion-view title=\"目标\">\n	<ion-header-bar class=\"bar-positive\">\n		<div class=\"title\">目标</div>\n		<div class=\"buttons\" side=\"right\">\n    		<a class=\"button button-icon button-clear ion-android-add\"  href=\"#/goal/add\"></a>\n    	</div>	\n    </ion-header-bar>\n	<ion-content class=\"\" ng-init=\"home.getGoals()\">\n		<div ng-if=\"home.goals.length == 0\" class=\"padding\">\n			<center>空白的一天，<br>点击右侧\"+\"号尝试给自己安排一项计划吧。</center>\n		</div>\n		<div class=\"list\" ng-if=\"home.goals.length > 0\">\n			<div class=\"item item-divider\" style=\"letter-space:0.2em;text-align: center;\">今日目标：0 / {{home.goals.length}}</div>\n		    <a class=\"item item-checkbox\" href=\"#/goal/{{goal.goal_id}}\" ng-repeat=\"goal in home.goals\">\n		    	<label class=\"checkbox checkbox-positive\" ng-if=\"isTodayCheckin(goal.last_checkin_time)\">\n			       <input type=\"checkbox\" checked=\"checked\" >\n			     </label>\n			     <label class=\"checkbox\" ng-if=\"!isTodayCheckin(goal.last_checkin_time)\">\n			       <input type=\"checkbox\"  >\n			     </label>\n		      	<h2>\n		      		{{goal.goal_name}}		      		\n		      	</h2>\n		      		<span class=\"badge badge-assertive\" ng-if=\"goal.pivot.expect_days == 0\">{{goal.pivot.total_days}}/{{goal.pivot.total_days}}</span>\n		      		<span class=\"badge badge-energized\" ng-if=\"goal.pivot.expect_days > 0\">{{goal.pivot.total_days}}/{{goal.pivot.expect_days}}</span>\n		    </a>\n		</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/init.html","<ion-view class=\"\" id=\"test\">\n	<ion-content scroll=\"false\" padding=\"true\" style=\"color:#fff;\"> \n	  	<div class=\"pulse1\"></div>\n		<div class=\"pulse2\"></div>\n		<div class=\"profilepicture\"></div>\n		<div class=\"padding-top\" style=\"position:absolute;top:50px;left:0;right:0;\">\n			<h1 class=\"center\">微打卡</h1>\n			<h2 class=\"center\">记录，分享，进步</h2>\n		</div>\n\n		<div class=\"row\" style=\"position:absolute;bottom:40px;left:0;right:0;\" ng-if=\"!isLogin\">\n			<div class=\"col\">\n				<a class=\"button button-assertive button-block\" href=\"#/login\">登录</a>\n			</div>\n			<div class=\"col\">\n				<a class=\"button button-light button-block\" href=\"#/register\">注册</a>\n			</div>\n		</div>\n		<div class=\"title copyright\" style=\"position:absolute;bottom:10px;left:0;right:0;\">© 2013-2015 keepdays Inc. All rights reserved</div>\n  	</ion-content>\n</ion-view>");
$templateCache.put("templates/item_add_modal.html","<ion-view title=\"新增目标\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-clear icon ion-android-close\" ng-click=\"goaladd.closeModal()\"></a>\n		<div class=\"title\">新增目标</div>\n	</ion-header-bar>\n<ion-content class=\"\">\n	<div class=\"list\">\n		<label class=\"item item-input\">\n		    <span class=\"input-label\">名称</span>\n		    <input type=\"text\" placeholder=\"例如：时间\" ng-model=\"goaladd.item.item_name\">\n		  </label>\n		  <label class=\"item item-input\">\n		    <span class=\"input-label\">单位</span>\n		    <input type=\"text\" placeholder=\"例如：分钟\" ng-model=\"goaladd.item.item_unit\">\n		  </label>\n		   <label class=\"item item-input\">\n		    <span class=\"input-label\">预期</span>\n		    <input type=\"text\" placeholder=\"初始设定\" ng-model=\"goaladd.item.item_expect\">\n		  </label>\n	</div>\n	<div class=\"padding\">\n		<button class=\"button button-block button-positive\" ng-click=\"goaladd.doSaveItem()\">添加</button>\n	</div>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/message.html","<ion-view title=\"消息\" hide-nav-bar=\"true\">\n		<ion-header-bar class=\"bar-positive\">\n			<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/home\"></a>\n			<div class=\"title\">消息</div>\n		</ion-header-bar>\n	<ion-content>\n		<!-- <center class=\"\">\n		<ti-segmented-control on-select=\"getMessages($index)\" style=\"width: 200px;\">\n		    <ti-segmented-control-button class=\"button-positive\" title=\"\'通知\'\" selected></ti-segmented-control-button>\n		    <ti-segmented-control-button class=\"button-positive\" title=\"\'私信\'\" ></ti-segmented-control-button>\n		</ti-segmented-control>\n		</center> -->\n		<!-- <div class=\"list\" ng-if=\"messages && currentIndex == 0\">\n		    <a class=\"item item-avatar\" href=\"#/checkin/detail/{{message.message_content}}\" ng-repeat=\"message in messages\">\n		      <img ng-src=\"{{message.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		      <h2>{{message.nickname}} {{message.message_title}}</h2>\n		      <p><span am-time-ago=\"{{message.create_time}}\" am-preprocess=\"unix\"></span></p>\n		    </a>\n		</div>\n		<div class=\"list\" ng-if=\"messages && currentIndex == 1\">\n		    <a class=\"item item-avatar\" href=\"#/messagedetail/{{message.message_id}}\" ng-repeat=\"message in messages\">\n		      <img ng-src=\"{{message.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		      <h2>{{message.nickname}} {{message.message_title}}</h2>\n		      <p><span am-time-ago=\"{{message.create_time}}\" am-preprocess=\"unix\"></span></p>\n		    </a>\n		</div>\n		<div class=\"list\" ng-if=\"messages.length == 0\">\n		    <a class=\"item item-title\">\n		      <h2>暂无新消息！</h2>\n		    </a>\n		</div> -->\n\n		<div class=\"list\" id=\"message-group\">\n		  <a class=\"item item-icon-left item-icon-right\" href=\"#\">\n		    <i class=\"icon ion-chatbox-working\"></i>\n		    评论\n		    <span class=\"badge badge-assertive\"> 0 </span>\n		    <i class=\"icon ion-ios-arrow-right\"></i>\n		  </a>\n\n		  <a class=\"item item-icon-left item-icon-right\" href=\"#\">\n		    <i class=\"icon ion-at\"></i>\n		    @\n		   <span class=\"badge badge-assertive\"> 0 </span>\n		    <i class=\"icon ion-ios-arrow-right\"></i>\n		  </a>\n\n		  <a class=\"item item-icon-left item-icon-right\" href=\"#\">\n		    <i class=\"icon ion-ios-heart\"></i>\n		    鼓励和赞\n		    <span class=\"badge badge-assertive\"> 0 </span>\n		    <i class=\"icon ion-ios-arrow-right\"></i>\n		  </a>\n\n		  <a class=\"item item-icon-left item-icon-right\" href=\"#\">\n		    <i class=\"icon ion-ios-person\"></i>\n		    粉丝\n		    <span class=\"badge badge-assertive\"> 0 </span>\n		    <i class=\"icon ion-ios-arrow-right\"></i>\n		  </a>\n\n		   <a class=\"item item-icon-left item-icon-right\" href=\"#\">\n		    <i class=\"icon ion-ios-bell\"></i>\n		    通知\n		    <span class=\"badge badge-assertive\">0</span>\n		    <i class=\"icon ion-ios-arrow-right\"></i>\n		  </a>\n\n		</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/my.html","<ion-view title=\"我\">\n	 <ion-header-bar class=\"bar-positive\">\n        <div class=\"title\">我</div>\n    </ion-header-bar>\n<ion-content>\n	<div class=\"list\">\n      	<a class=\"item item-thumbnail-left item-icon-right\">\n        	<img ng-src=\"{{my.user.user_avatar}}\" class=\"avatar\">\n        	<h2>{{my.user.nickname.length>0?my.user.nickname:\'keeper\'+my.user.user_id}}</h2>\n        	<p>{{my.user.signature}}</p>\n<!--         	<i class=\"icon ion-ios-arrow-right\"></i>\n -->      	</a>\n	  	\n	 <!--  	<a class=\"item item-divider\"></a>\n		<a class=\"item item-icon-left\" href=\"#/user/{{my.user.user_id}}\">\n		 	<i class=\"icon ion-ios-home\"></i>\n	    	主页\n	  	</a> -->\n\n	 	<a class=\"item item-divider\"></a>\n	  	<a class=\"item item-icon-left\" href=\"#/message\">\n		  	<i class=\"icon ion-ios-email\"></i>\n		    消息\n		    <span class=\"badge badge-assertive\" ng-if=\"user.new_messages > 0\">{{my.user.new_messages}}</span>\n	  	</a>\n		<a class=\"item item-divider\"></a>\n	  	<a class=\"item item-icon-left\" href=\"#/setting\">\n	  	  	<i class=\"icon ion-gear-b\"></i>\n	    	设置\n	  	</a>\n	</div>\n	<div class=\"padding\" >\n	  	  <button class=\"button button-outline button-block button-assertive\" ng-click=\"my.doLogout()\">退出登录</button>\n	</div>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/top.html","<ion-view title=\"排行榜\">\n	<ion-header-bar align-title=\"center\" class=\"bar-positive\">\n		<div class=\"title\">\n			{{top.month}} 月打卡排行\n		</div>\n		<!-- <div class=\"title padding-top\">\n			<ti-segmented-control on-select=\"getTop($index)\" style=\"width: 200px;margin:0 auto;\">\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'目标\'\"></ti-segmented-control-button>\n			    <ti-segmented-control-button class=\"button-positive\" title=\"\'个人\'\" selected></ti-segmented-control-button>\n			</ti-segmented-control>\n		</div> -->\n	</ion-header-bar>\n	<ion-content class=\"has-header\">\n\n		<div class=\"list\">\n				 <div class=\"item item-divider\">本月打卡 {{top.count}} 次<span class=\"pull-right\">排名 {{top.rank}}</span></div>\n\n 			    <a class=\"item item-avatar item-icon-right\" ng-repeat=\"user in top.users\" >\n		        	<img ng-src=\"{{user.user_avatar}}\" fallback-src=\"img/default.jpg\">\n		        	<h2>{{user.nickname.length > 0?user.nickname:\'keeper\'+user.user_id}}</h2>\n		        	<p>次数：{{user.count}}</p>\n		          <span class=\"badge\" ng-class=\"getClass({{$index + 1}})\">NO.{{$index + 1}}</span>\n		      	</a>\n		      	\n\n		 </div>\n    </ion-content>\n</ion-view>");
$templateCache.put("templates/user_home.html","<ion-view hide-nav-bar=\"true\">\n	<ion-content>\n		<div class=\"userheader\">\n			<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" ng-click=\"goBack()\"></a>\n			<a class=\"right button button-icon icon ion-ios-person-outline butoon-clear\" href=\"#/profile\" ng-if=\"isSelf\"></a>	\n		    <center>\n		    	<img class=\"profilepicture2\" ng-src=\"{{user.user_avatar}}\" fallback-src=\"img/default.jpg\" width=\"112\" height=\"112\">\n		      	<h3 style=\"margin-top: 8px; margin-bottom: 0px;\">{{user.nickname.length>0?user.nickname:\'keeper\'+user.user_id}}</h3>\n		      	<p style=\"margin-left: 8px; margin-right: 8px;\">{{user.signature}}</p>\n		      	<div class=\"row\">\n		      		<div class=\"col\">目标<br><span class=\"num\">{{user.group_num}}</span></div>\n				  	<div class=\"col\">打卡<br><span class=\"num\">{{user.checkin_num}}</span></div>\n				  	<div class=\"col\">正能量<br><span class=\"num\">{{user.energy_num}}</span></div>\n				</div>\n		    </center>\n		 </div>\n    <ion-refresher\n	    pulling-text=\"下拉刷新...\"\n	    on-refresh=\"doRefresh()\">\n	</ion-refresher>\n     \n	<div class=\"list card\" ng-if=\"!events.length\">\n      <div class=\"row\">\n        <div class=\"col col-offset-33\">暂时还没有动态！</div>\n      </div>\n    </div>\n\n	<div class=\"list card\" ng-repeat=\"event in events\">\n	  <div class=\"item item-avatar item-button-right\">\n	    <img ng-src=\"{{user.user_avatar}}\" fallback-src=\"img/default.jpg\">\n	    <h2><a href=\"#/group/{{event.group_id}}\">{{event.goal_name}}</a></h2>\n	    <p><span am-time-ago=\"{{event.create_time}}\" am-preprocess=\"unix\"></span></p>\n	    <button class=\"button button-positive button-outline\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n      		第{{event.checkin.total_days}}天\n    	</button>\n	  </div>\n\n	  <div class=\"item item-body\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n	  	<a href=\"#/checkin/detail/{{event.checkin.checkin_id}}\">\n<!-- 	    <img class=\"full-image\" src=\"img/example.jpg\">\n -->	    <p>\n	     	{{event.checkin.checkin_content}}\n	    	</p>\n	    	<blockquote ng-if=\"event.checkin.checkin_remark\" ng-bind-html=\"event.checkin.checkin_remark | parseUrl\">\n		    </blockquote>\n	   	</a>\n	   	<p  ng-if=\"event.checkin.tags.length>0\" class=\"padding-top\">\n      		<a href=\"#/tag/{{tag.tag_id}}\" class=\"positive tag\" ng-repeat=\"tag in event.checkin.tags\">#{{tag.tag_name}}#</a>\n    	</p>\n	  </div>\n\n	   <div class=\"item item-body\" ng-if=\"event.event_type !=\'USER_CHECKIN\'\">\n	    <p>\n	     	{{event.event_content}}\n	    </p>\n	  </div>\n\n	  <div class=\"item tabs tabs-secondary tabs-icon-left\" ng-if=\"event.event_type==\'USER_CHECKIN\'\">\n	    <a class=\"tab-item\" href=\"javascript:void(0);\" ng-click=\"doLike(event)\">\n	      <i class=\"icon\" ng-class=\"{\'assertive\':event.is_like,\'ion-ios-heart-outline\':!event.is_like,\'ion-ios-heart\':event.is_like}\" ></i>\n	      {{event.checkin.like_num}}\n	    </a>\n	    <a class=\"tab-item\" href=\"#/checkin/detail/{{event.checkin.checkin_id}}\">\n	      <i class=\"icon ion-ios-chatbubble-outline\"></i>\n	      {{event.checkin.comment_num}}\n	    </a>\n	    <a class=\"tab-item\" ng-click=\"checkinMore(event.checkin.checkin_id)\">\n	      <i class=\"icon ion-ios-more-outline\"></i>\n	    </a>\n	  </div>\n	</div>\n\n	 <ion-infinite-scroll\n		    on-infinite=\"loadMore()\"\n		    distance=\"1%\">\n		    显示更多\n	</ion-infinite-scroll>\n\n\n	</ion-content>\n</ion-view>\n\n\n");
$templateCache.put("templates/user_tag.html","<ion-view title=\"主页\">\n 	<ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/my\"></a>\n		<div class=\"title\">我的标签</div>\n	</ion-header-bar>\n<ion-content>\n		<div class=\"item item-input-inset\">\n			  <label class=\"item-input-wrapper\">\n			    <i class=\"icon ion-search placeholder-icon\"></i>\n			    <input type=\"search\" placeholder=\"搜索标签\" ng-model=\"search.text\">\n			    <i ng-if=\"search.text.length > 0\" ng-click=\"clearSearch()\" class=\"icon ion-close\"></i>\n			  </label>\n	  	</div>\n		<div class=\"list\">\n		    <a class=\"item item-icon-right\" href=\"#/tag/{{tag.tag_id}}\" ng-repeat=\"tag in tags | filter:search.text\">\n			      	<p>{{tag.tag_name}} ({{tag.follow_count}})</p>\n			      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n		</div>\n</ion-content>");
$templateCache.put("templates/version.html","<ion-view title=\"版本更新\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/setting\"></a>\n		<div class=\"title\">版本更新</div>\n	</ion-header-bar>\n	<ion-content class=\"padding\">\n		<div class=\"list card\">\n			<div class=\"item\">\n			    <h2>版本号：v0.0.4</h2>\n			    <p>更新日期：2015-08-31</p>		  \n			 </div>\n			  <div class=\"item item-body\">\n			    <p>更新内容：</p> \n			    <p>1:增加发现功能</p>\n			    <p>2:增加消息功能</p>\n			    <p>3:增加个人设置功能</p>\n			   	<p>4:增加个人主页功能</p>\n	  		</div>\n		</div>\n		<div class=\"list card\">\n			<div class=\"item\">\n			    <h2>版本号：v0.0.3</h2>\n			    <p>更新日期：2015-08-26</p>		  \n			 </div>\n			  <div class=\"item item-body\">\n			  	<p>更新内容：</p> \n			    <p>1:改进底部导航为侧边栏</p>\n			    <p>2:修改打卡方式</p>\n			    <p>3:取消小组更改为目标</p>\n	  		</div>\n		</div>\n\n		<div class=\"list card\">\n			<div class=\"item\">\n			    <h2>版本号：v0.0.2</h2>\n			    <p>更新日期：2015-08-16</p>		  \n			 </div>\n			  <div class=\"item item-body\">\n			    <p>更新内容：</p> \n			    <p>1:修正部分ui</p>\n			    <p>2:增加标签功能</p>\n			    <p>3:增加补打卡功能</p>\n	  		</div>\n		</div>\n\n		<div class=\"list card\">\n			<div class=\"item\">\n			    <h2>版本号：v0.0.1</h2>\n			    <p>更新日期：2015-08-01</p>		  \n			 </div>\n			  <div class=\"item item-body\">\n			    <p>更新内容：</p> \n			    <p>全新构造app</p>\n	  		</div>\n		</div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/app.html","<ion-tabs class=\"tabs-icon-top tabs-color-active-positive\">\n\n  <ion-tab title=\"首页\" icon-off=\"ion-ios-home-outline\" icon-on=\"ion-ios-home\" href=\"#/app/home\">\n    <ion-nav-view name=\"home-tab\"></ion-nav-view>\n  </ion-tab>\n  \n  <ion-tab title=\"发现\" icon-off=\"ion-ios-search\" icon-on=\"ion-ios-search-strong\" href=\"#/app/explore\">\n    <ion-nav-view name=\"explore-tab\"></ion-nav-view>\n  </ion-tab>\n\n  <ion-tab title=\"排行\" icon-off=\"ion-ios-star-outline\" icon-on=\"ion-ios-star\" href=\"#/app/top\">\n    <ion-nav-view name=\"top-tab\"></ion-nav-view>\n  </ion-tab>\n  \n  <ion-tab title=\"我\" badge=\"new_messages_count\" badge-style=\"badge-assertive\" icon-off=\"ion-ios-person-outline\" icon-on=\"ion-ios-person\" href=\"#/app/my\">\n    <ion-nav-view name=\"my-tab\"></ion-nav-view>\n  </ion-tab>\n</ion-tabs>");
$templateCache.put("templates/checkin_share.html","<ion-view title=\"分享\">\n    <ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" ng-click=\"goBack()\"></a>\n        <div class=\"title\">分享</div>\n    </ion-header-bar>\n    <ion-content>\n    	<div class=\"list\">\n    		 <a class=\"item item-icon-left item-icon-right\" ng-click=\"shareToQQ()\" ng-if=\"platform !=\'weixin\'\">\n    			<i class=\"icon iconfont calm\">&#xe600;</i>\n		      	QQ好友\n		      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n		     <a class=\"item item-icon-left item-icon-right\" ng-click=\"shareToQzone()\" ng-if=\"platform !=\'weixin\'\">\n    			<i class=\"icon iconfont energized\">&#xe603;</i>\n		      	QQ空间\n		      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n		     <a class=\"item item-icon-left item-icon-right\" ng-click=\"shareToWeibo()\" ng-if=\"platform !=\'weixin\'\">\n    			<i class=\"icon iconfont assertive\">&#xe604;</i>\n		      	新浪微博\n		      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n	\n		     <a class=\"item item-icon-left item-icon-right\" ng-click=\"ShareToWechat(0)\" ng-if=\"isWechatInstalled\">\n    			<i class=\"icon iconfont balanced\">&#xe608;</i>\n		      	微信好友\n		      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n		     <a class=\"item item-icon-left item-icon-right\" ng-click=\"ShareToWechat(1)\" ng-if=\"isWechatInstalled\">\n    			<i class=\"icon iconfont royal\">&#xe609;</i>\n		      	微信朋友圈\n		      	<i class=\"icon ion-ios-arrow-right\"></i>\n		    </a>\n    	</div>\n    </ion-content>\n</ion-view>");
$templateCache.put("templates/login.html","<ion-view title=\"登陆\">\n    <ion-header-bar class=\"bar-positive\">\n<!--         <a class=\"button button-clear\" ng-click=\"doVisit()\">快速登录</a>\n -->        <div class=\"title\">登陆</div>\n        <a class=\"button button-clear\" href=\"#/register\">注册</a>\n    </ion-header-bar>\n    <ion-content>\n        <form name=\"loginForm\">\n            <div class=\"list list-inset\">\n                <label class=\"item item-input\">\n                    <input type=\"email\" name=\"email\" ng-model=\"login.user.email\" placeholder=\"邮箱\" required>\n                    <div class=\"error\" ng-if=\"loginForm.email.$touched && loginForm.email.$dirty && loginForm.email.$invalid\">\n                        <small class=\"error\" ng-if=\"loginForm.email.$error.required\">\n                            邮箱不能为空\n                        </small>\n                        <small class=\"error\" ng-if=\"loginForm.email.$error.email\">\n                            邮箱格式不正确\n                        </small>\n                    </div>\n                </label>\n               \n                <label class=\"item item-input\">\n                    <input type=\"password\" name=\"password\" ng-model=\"login.user.password\" placeholder=\"密码\" required>\n                     <div class=\"error\" ng-if=\"loginForm.password.$touched && loginForm.password.$dirty && loginForm.password.$invalid\">\n                        <small class=\"error\" ng-if=\"loginForm.password.$error.required\">\n                            密码不能为空\n                        </small>\n                    </div>\n                </label>\n               \n            </div>\n            <div class=\"padding\">\n                <button ng-click=\"login.doLogin()\" ng-disabled=\"loginForm.$invalid\" type=\"submit\" class=\"button button-block button-positive\">登陆</button>\n            </div>\n            <div class=\"padding\">\n                <center>使用第三方账号登陆</center>\n            </div> \n            <div class=\"padding login-toolbar\">\n                <center>\n                    <i class=\"iconfont calm\" ng-if=\"login.isQQInstalled\" ng-click=\"doQQLogin()\">&#xe602;</i>\n<!--                     <i class=\"iconfont balanced\" ng-click=\"doWechatLogin()\">&#xe611;</i>\n -->                <i class=\"iconfont assertive\" ng-if=\"login.isWeiboPluginLoaded\" ng-click=\"doWeiboLogin()\">&#xe607;</i>\n                </center>\n            </div>      \n        </form>\n    </ion-content>\n</ion-view>");
$templateCache.put("templates/profile.html","<ion-view title=\"个人资料\" hide-nav-bar=\"true\">\n 	<ion-header-bar class=\"bar-positive\">\n 		<a class=\"button button-icon icon ion-ios-arrow-left button-clear\" href=\"#/app/my\"></a>\n		<div class=\"title\">个人资料</div>\n	</ion-header-bar>\n	<ion-content class=\"has-header\">\n		<div class=\"list\">\n			<a class=\"item item-avatar item-icon-right\" ng-click=\"avatarPick()\" id=\"profile-avatar\">\n		  		<img ng-src=\"{{profile.user_avatar}}\" src=\"{{profile.user_avatar}}\" fallback-src=\"img/default.jpg\" id=\"avatar\">\n		  		<span class=\"input-label\">头像</span>\n		  		<i class=\"icon ion-ios-arrow-right\"></i>\n		  	</a>	\n		  	<label class=\"item item-input\">\n		    	<span class=\"input-label\">昵称</span>\n		    	<input type=\"text\" placeholder=\"昵称\" ng-model=\"profile.nickname\">\n		 	 </label>\n		  	<label class=\"item item-input\">\n		    	<span class=\"input-label\">签名</span>\n		    	<textarea placeholder=\"签名\" ng-model=\"profile.signature\"></textarea>\n		  	</label>\n		</div>\n		<div class=\"padding\">\n            <button ng-click=\"saveProfile()\" ng-disabled=\"loginForm.$invalid\" type=\"submit\" class=\"button button-block button-positive\">保存</button>\n        </div>\n	</ion-content>\n</ion-view>");
$templateCache.put("templates/register.html","<ion-view title=\"注册\">\n    <ion-header-bar class=\"bar-positive\">\n        <div class=\"title\">注册</div>\n        <a class=\"button button-clear\" href=\"#/login\">登录</a>\n    </ion-header-bar>\n<ion-content>\n    <form name=\"regForm\">\n        <div class=\"list list-inset\">\n            <label class=\"item item-input\">\n                <input type=\"email\" name=\"email\" ng-model=\"register.user.email\" placeholder=\"邮箱\" required>\n                <div class=\"error\" ng-if=\"regForm.email.$touched && regForm.email.$dirty && regForm.email.$invalid\">\n                    <small class=\"error\" ng-if=\"regForm.email.$error.required\">\n                        邮箱不能为空\n                    </small>\n                    <small class=\"error\" ng-if=\"regForm.email.$error.email\">\n                        邮箱格式不正确\n                    </small>\n                </div>\n            </label>\n\n            <label class=\"item item-input\">\n                <input type=\"password\" name=\"password\" ng-model=\"register.user.password\" placeholder=\"密码\" required ng-minlength=\"6\" ng-maxlength=\"20\">\n                <div class=\"error\" ng-if=\"regForm.password.$touched && regForm.password.$dirty && regForm.password.$invalid\">\n                    <small class=\"error\" ng-if=\"regForm.password.$error.required\">\n                        密码不能为空\n                    </small>\n                    <small class=\"error\" ng-if=\"regForm.password.$error.minlength || regForm.password.$error.maxlength\">\n                        请输入6-20位密码\n                    </small>\n                </div>\n            </label>\n\n            <label class=\"item item-input\">\n                <input type=\"password\" name=\"password2\" ng-model=\"register.user.password2\" placeholder=\"确认密码\" required compare-to=\"user.password\">\n                 <div class=\"error\">\n                    <small class=\"error\" ng-if=\"regForm.password2.$touched && regForm.password2.$error.compareTo\">\n                        密码不一致\n                    </small>\n                </div>\n            </label>\n           \n        </div>\n        <div class=\"padding\">\n            <button ng-click=\"register.doRegister()\" ng-disabled=\"regForm.$invalid\" type=\"submit\" class=\"button button-block button-positive\">注册</button>\n        </div>\n        <div class=\"padding\">\n                <center>使用第三方账号登陆</center>\n        </div> \n        <div class=\"padding login-toolbar\">\n                <center>\n                    <i class=\"iconfont calm\" ng-if=\"register.isQQInstalled\" ng-click=\"register.doQQLogin()\">&#xe602;</i>\n<!--                     <i class=\"iconfont balanced\" ng-click=\"doWechatLogin()\">&#xe611;</i>\n -->                    <i class=\"iconfont assertive\" ng-if=\"register.isWeiboPluginLoaded\" ng-click=\"register.doWeiboLogin()\">&#xe607;</i>\n                </center>\n        </div>    \n    </form>\n</ion-content>\n</ion-view>");
$templateCache.put("templates/setting.html","<ion-view title=\"设置\" hide-nav-bar=\"true\">\n	<ion-header-bar class=\"bar-positive\">\n		<a class=\"button button-icon icon ion-ios-arrow-left butoon-clear\" href=\"#/app/my\"></a>\n		<div class=\"title\">设置</div>\n	</ion-header-bar>\n	<ion-content class=\"\">\n		<div class=\"list\">\n			<div class=\"item item-divider\"><center>微打卡 v{{version}}</center></div>\n			<!-- <li class=\"item item-toggle\">\n		     定期汇总\n		     <label class=\"toggle toggle-positive\">\n		       <input type=\"checkbox\">\n		       <div class=\"track\">\n		         <div class=\"handle\"></div>\n		       </div>\n		     </label>\n		  	</li> -->\n			<a class=\"item\" href=\"#/feedback\">\n				意见反馈\n	  		</a>\n	  		<a class=\"item\" href=\"#/about\">\n				关于我们\n	  		</a>\n	  	<!-- 	<a class=\"item\" href=\"#/version\">\n				版本更新\n	  		</a> -->\n		</div>\n	</ion-content>\n</ion-view>");}]);